<div class="comment_holder" id="comments">
<?php if ( post_password_required() ) : ?>
				<p class="nopassword"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.', 'subway' ); ?></p>
			</div><!-- #comments -->
<?php
		
		return;
	endif;
?>
<?php if ( comments_open() || get_comments_number() ) : ?>

	<ul class="comment-list">
		<?php wp_list_comments(array( 'callback' => 'subway_qode_comment')); ?>
	</ul>


<?php // End Comments ?>

 <?php else : // this is displayed if there are no comments so far
	if ( ! comments_open() ) :
?>
		<!-- If comments are open, but there are no comments. -->

	 
		<!-- If comments are closed. -->
		<p><?php esc_html_e('Sorry, the comment form is closed at this time.', 'subway'); ?></p>

	<?php endif; ?>
<?php endif; ?>
</div>

<?php
$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );
$aria_req = ( $req ? " aria-required='true'" : '' );
$consent  = empty( $commenter['comment_author_email'] ) ? '' : ' checked="checked"';

$args = array(
	'id_form' => 'commentform',
	'id_submit' => 'submit_comment',
	'title_reply'=>'<h3>'. esc_html__( 'Post A Comment','subway' ) .'</h3>',
	'title_reply_to' => esc_html__( 'Post A Reply to %s','subway' ),
	'cancel_reply_link' => esc_html__( 'Cancel Reply','subway' ),
	'label_submit' => esc_html__( 'Submit','subway' ),
	'comment_field' => '<textarea id="comment" placeholder="'.esc_html__( 'WRITE YOUR MESSAGE HERE...','subway' ).'" name="comment" cols="45" rows="8" aria-required="true"></textarea>',
	'comment_notes_before' => '',
	'comment_notes_after' => '',
	'fields' => apply_filters( 'comment_form_default_fields', array(
		'author' => '<div class="three_columns clearfix"><div class="column1"><div class="column_inner"><input id="author" name="author" placeholder="'. esc_html__( 'YOUR FULL NAME','subway' ) .'" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '"' . $aria_req . ' /></div></div>',
		'url' => '<div class="column2"><div class="column_inner"><input id="email" name="email" placeholder="'. esc_html__( 'E-MAIL ADDRESS','subway' ) .'" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '"' . $aria_req . ' /></div></div>',
		'email' => '<div class="column3"><div class="column_inner"><input id="url" name="url" type="text" placeholder="'. esc_html__( 'WEBSITE','subway' ) .'" value="' . esc_attr( $commenter['comment_author_url'] ) . '" /></div></div></div>',
        'cookies' => '<p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"' . $consent . ' />' .
            '<label for="wp-comment-cookies-consent">' . esc_html__( 'Save my name, email, and website in this browser for the next time I comment.', 'subway' ) . '</label></p>',
		 ) ) );
 ?>
 <div class="comment_pager">
	<p><?php paginate_comments_links(); ?></p>
 </div>
 <div class="comment_form">
	<?php comment_form($args); ?>
</div>
						
								
							


