<?php
// Removing shortcodes
vc_remove_element("vc_widget_sidebar");
vc_remove_element("vc_wp_search");
vc_remove_element("vc_wp_meta");
vc_remove_element("vc_wp_recentcomments");
vc_remove_element("vc_wp_calendar");
vc_remove_element("vc_wp_pages");
vc_remove_element("vc_wp_tagcloud");
vc_remove_element("vc_wp_custommenu");
vc_remove_element("vc_wp_text");
vc_remove_element("vc_wp_posts");
vc_remove_element("vc_wp_links");
vc_remove_element("vc_wp_categories");
vc_remove_element("vc_wp_archives");
vc_remove_element("vc_wp_rss");
vc_remove_element("vc_teaser_grid");
vc_remove_element("vc_button");
vc_remove_element("vc_button2");
vc_remove_element("vc_cta_button");
vc_remove_element("vc_cta_button2");
vc_remove_element("vc_message");
vc_remove_element("vc_tour");
vc_remove_element("vc_progress_bar");
vc_remove_element("vc_pie");
vc_remove_element("vc_images_carousel");
vc_remove_element("vc_posts_grid");
vc_remove_element("vc_posts_slider");
vc_remove_element("vc_toggle");
vc_remove_element("vc_carousel");
vc_remove_element("vc_section");
//From version 4.4.2
vc_remove_element("vc_basic_grid");
vc_remove_element("vc_media_grid");
vc_remove_element("vc_masonry_grid");
vc_remove_element("vc_masonry_media_grid");
vc_remove_element("vc_icon");
//From version 4.5.2
vc_remove_element("vc_btn");
vc_remove_element("vc_cta");
//From version 4.6.2
vc_remove_element("vc_round_chart");
vc_remove_element("vc_line_chart");
vc_remove_element("vc_tta_accordion");
vc_remove_element("vc_tta_tour");
vc_remove_element("vc_tta_tabs");


/*** Remove unused parameters ***/
if (function_exists('vc_remove_param')) {
	vc_remove_param('vc_column_text', 'css_animation');
	vc_remove_param('vc_row', 'video_bg');
	vc_remove_param('vc_row', 'video_bg_url');
	vc_remove_param('vc_row', 'video_bg_parallax');
	vc_remove_param('vc_row', 'full_height');
	vc_remove_param('vc_row', 'content_placement');
	vc_remove_param('vc_row', 'full_width');
	vc_remove_param('vc_row', 'bg_image');
	vc_remove_param('vc_row', 'bg_color');
	vc_remove_param('vc_row', 'font_color');
	vc_remove_param('vc_row', 'margin_bottom');
	vc_remove_param('vc_row', 'bg_image_repeat');
	vc_remove_param('vc_tabs', 'interval');
	vc_remove_param('vc_accordion', 'active_tab');
	vc_remove_param('vc_accordion', 'collapsible');
	vc_remove_param('vc_separator', 'style');
	vc_remove_param('vc_separator', 'color');
	vc_remove_param('vc_separator', 'accent_color');
	vc_remove_param('vc_separator', 'el_width');
	vc_remove_param('vc_text_separator', 'style');
	vc_remove_param('vc_text_separator', 'color');
	vc_remove_param('vc_text_separator', 'accent_color');
	vc_remove_param('vc_text_separator', 'el_width');
	vc_remove_param('vc_row', 'gap');
    vc_remove_param('vc_row', 'columns_placement');
    vc_remove_param('vc_row', 'equal_height');
    vc_remove_param('vc_row_inner', 'gap');
    vc_remove_param('vc_row_inner', 'content_placement');
    vc_remove_param('vc_row_inner', 'equal_height');
    vc_remove_param('vc_row', 'parallax_speed_video');
    vc_remove_param('vc_row', 'parallax_speed_bg');
    vc_remove_param('vc_row_inner', 'disable_element');
	vc_remove_param('vc_row', 'disable_element');
	vc_remove_param('vc_row', 'css_animation');

	//remove vc parallax functionality
	vc_remove_param('vc_row', 'parallax');
	vc_remove_param('vc_row', 'parallax_image');

    if(version_compare(subway_qode_get_vc_version(), '4.4.2') >= 0) {
        vc_remove_param('vc_accordion', 'disable_keyboard');
        vc_remove_param('vc_separator', 'align');
        vc_remove_param('vc_separator', 'border_width');
        vc_remove_param('vc_text_separator', 'align');
        vc_remove_param('vc_text_separator', 'border_width');
    }
    if(version_compare(subway_qode_get_vc_version(), '4.7.4') >= 0) {

    	if(!function_exists('subway_qode_remove_vc_image_zoom')) {
			function subway_qode_remove_vc_image_zoom() {
				//Remove zoom from click action on single image
				$param = WPBMap::getParam('vc_single_image', 'onclick');
				unset($param['value']['Zoom']);
				vc_update_shortcode_param('vc_single_image', $param);
			}
			add_action('init', 'subway_qode_remove_vc_image_zoom', 11);
		}
		vc_remove_param('vc_text_separator', 'css');
		vc_remove_param('vc_separator', 'css');
	}
}

/*** Remove frontend editor ***/
if(function_exists('vc_disable_frontend')){
	vc_disable_frontend();
}

/*** Restore Tabs&Accordion from Deprecated category ***/

$vc_map_deprecated_settings = array (
	'deprecated' => false,
	'category' => esc_html__( 'Content', 'subway' )
);
vc_map_update( 'vc_accordion', $vc_map_deprecated_settings );
vc_map_update( 'vc_tabs', $vc_map_deprecated_settings );
vc_map_update( 'vc_tab', array('deprecated' => false) );
vc_map_update( 'vc_accordion_tab', array('deprecated' => false) );

$fa_icons = subway_qode_get_font_awesome_icon_array();
$icons = array();
$icons[""] = "";
foreach ($fa_icons as $key => $value) { 
			$icons[$key] = $key;
		}

// Accordion
vc_add_param("vc_accordion", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Style", 'subway'),
	"param_name" => "style",
	"value" => array(
		esc_html__( "Accordion", 'subway' ) => "accordion",
		esc_html__( "Toggle", 'subway' ) => "toggle",
		esc_html__( "Accordion with icon", 'subway' ) => "accordion_with_icon",
		esc_html__( "Toggle with icon", 'subway' ) => "toggle_with_icon"
	),
	'save_always' => true,
	
));
vc_add_param("vc_accordion", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Background Color", 'subway'),
	"param_name" => "background_color",
	"value" => esc_html__("", 'subway'),
	
));
vc_add_param("vc_accordion_tab", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Icon", 'subway'),
	"param_name" => "icon",
	"value" => $icons,
	'save_always' => true,
	
));

// Tabs
vc_add_param("vc_tabs", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Style", 'subway'),
	"param_name" => "style",
	"value" => array(
		esc_html__( "Horizontal Center", 'subway' ) => "horizontal",
		esc_html__( "Boxed", 'subway' ) => "boxed",
		esc_html__( "Vertical Left", 'subway' ) => "vertical",
		esc_html__( "Vertical Right", 'subway' ) => "vertical_right"
	),
	'save_always' => true,
	
));

// Gallery
vc_add_param("vc_gallery", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Column Number", 'subway'),
	"param_name" => "column_number",
	 "value" => array(2, 3, 4, 5, esc_html__('Disable', 'subway') => 0),
	'save_always' => true,
	 "dependency" => Array('element' => "type", 'value' => array('image_grid'))
));

// Row
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => esc_html__("Row Type", 'subway'),
	"param_name" => "row_type",
	"value" => array(
		esc_html__( "Row", 'subway' ) => "row",
		esc_html__( "Section", 'subway' ) => "section",
		esc_html__( "Box", 'subway' ) => "box",
		esc_html__( "Expandable", 'subway' ) => "expandable"
	),
	'save_always' => true,
	
));
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Type", 'subway'),
	"param_name" => "type",
	"value" => array(
		esc_html__( "In Grid", 'subway' ) => "grid",
		esc_html__( "Full Width", 'subway' ) => "full_width"	
	),
	'save_always' => true,
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Anchor ID", 'subway'),
	"param_name" => "anchor",
	"value" => ""
));
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Text Align", 'subway'),
	"param_name" => "text_align",
	"value" => array(
		esc_html__( "Left", 'subway' ) => "left",
		esc_html__( "Center", 'subway' ) => "center",
		esc_html__( "Right", 'subway' ) => "right"
	),
	'save_always' => true,
));
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Video background", 'subway'),
	"param_name" => "video",
	"value" => array(
		esc_html__( "No", 'subway' ) => "",
		esc_html__( "Yes", 'subway' ) => "show_video"
	),
	'save_always' => true,
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Video overlay", 'subway'),
	"param_name" => "video_overlay",
	"value" => array(
		esc_html__( "No", 'subway' ) => "",
		esc_html__( "Yes", 'subway' ) => "show_video_overlay"
	),
	
	"dependency" => Array('element' => "video", 'value' => array('show_video'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Video background (webm) file url", 'subway'),
	"value" => "",
	"param_name" => "video_webm",
	
	"dependency" => Array('element' => "video", 'value' => array('show_video'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Video background (mp4) file url", 'subway'),
	"value" => "",
	"param_name" => "video_mp4",
	
	"dependency" => Array('element' => "video", 'value' => array('show_video'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Video background (ogv) file url", 'subway'),
	"value" => "",
	"param_name" => "video_ogv",
	
	"dependency" => Array('element' => "video", 'value' => array('show_video'))
));
vc_add_param("vc_row", array(
	"type" => "attach_image",
	"class" => "",
	"heading" => esc_html__("Video preview image", 'subway'),
	"value" => "",
	"param_name" => "video_image",
	
	"dependency" => Array('element' => "video", 'value' => array('show_video'))
));
vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Background color", 'subway'),
	"param_name" => "background_color",
	"value" => "",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section','expandable','box'))
));
vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Border color", 'subway'),
	"param_name" => "border_color",
	"value" => "",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section','expandable','box'))
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Padding", 'subway'),
	"value" => "",
	"param_name" => "padding",
	"description" => esc_html__("Padding (left/right in % - full width only)", 'subway'),
	"dependency" => Array('element' => "type", 'value' => array('full_width'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Padding Top", 'subway'),
	"value" => "",
	"param_name" => "padding_top",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Padding Bottom", 'subway'),
	"value" => "",
	"param_name" => "padding_bottom",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("More Button Label", 'subway'),
	"param_name" => "more_button_label",
	"value" =>  esc_html__("", 'subway'),
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Less Button Label", 'subway'),
	"param_name" => "less_button_label",
	"value" =>  esc_html__("", 'subway'),
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Button Position", 'subway'),
	"param_name" => "button_position",
	"value" => array(
		"" => "",
		esc_html__( "Left", 'subway' ) => "left",
		esc_html__( "Right", 'subway' ) => "right",
		esc_html__( "Center", 'subway' ) => "center"	
	),
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));
vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Color", 'subway'),
	"param_name" => "color",
	"value" => "",
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));
vc_add_param("vc_row",  array(
	"type" => "dropdown",
	"heading" => esc_html__("CSS Animation", 'subway'),
	"param_name" => "css_animation",
	"admin_label" => true,
	"value" => array(
		esc_html__("No", "subway")			=> '',
		esc_html__("Top to bottom", "subway")		=> "top-to-bottom",
		esc_html__("Bottom to top", "subway")		=> "bottom-to-top",
		esc_html__("Left to right", "subway")		=> "left-to-right",
		esc_html__("Right to left", "subway")		=> "right-to-left",
		esc_html__("Appear from center", "subway")	=> "appear"
	),
	'save_always' => true,
	"description" => esc_html__("Select animation type if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.", 'subway'),
	"dependency" => Array('element' => "row_type", 'value' => array('row')
	)
  
));

// Row Inner
vc_add_param("vc_row_inner", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => esc_html__("Row Type", 'subway'),
	"param_name" => "row_type",
	"value" => array(
		esc_html__( "Row", 'subway' ) => "row",
		esc_html__( "Section", 'subway' ) => "section",
		esc_html__( "Box", 'subway' ) => "box",
		esc_html__( "Expandable", 'subway' ) => "expandable"
	),
	'save_always' => true,
	
));
vc_add_param("vc_row_inner", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Type", 'subway'),
	"param_name" => "type",
	"value" => array(
		esc_html__( "In Grid", 'subway' ) => "grid",
		esc_html__( "Full Width", 'subway' ) => "full_width"	
	),
	'save_always' => true,
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Anchor ID", 'subway'),
	"param_name" => "anchor",
	"value" => ""
));
vc_add_param("vc_row_inner", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Text Align", 'subway'),
	"param_name" => "text_align",
	"value" => array(
		esc_html__( "Left", 'subway' ) => "left",
		esc_html__( "Center", 'subway' ) => "center",
		esc_html__( "Right", 'subway' ) => "right"
	),
	'save_always' => true,
	
));
vc_add_param("vc_row_inner", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Background color", 'subway'),
	"param_name" => "background_color",
	"value" => "",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section','expandable','box'))
));
vc_add_param("vc_row_inner", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Border color", 'subway'),
	"param_name" => "border_color",
	"value" => "",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section','expandable','box'))
));

vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Padding", 'subway'),
	"value" => "",
	"param_name" => "padding",
	"description" => esc_html__("Padding (left/right in % - full width only)", 'subway'),
	"dependency" => Array('element' => "type", 'value' => array('full_width'))
));

vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Padding Top", 'subway'),
	"value" => "",
	"param_name" => "padding_top",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Padding Bottom", 'subway'),
	"value" => "",
	"param_name" => "padding_bottom",
	
	"dependency" => Array('element' => "row_type", 'value' => array('section'))
));
vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("More Button Label", 'subway'),
	"param_name" => "more_button_label",
	"value" =>  esc_html__("", 'subway'),
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));
vc_add_param("vc_row_inner", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Less Button Label", 'subway'),
	"param_name" => "less_button_label",
	"value" =>  esc_html__("", 'subway'),
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));
vc_add_param("vc_row_inner", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Button Position", 'subway'),
	"param_name" => "button_position",
	"value" => array(
		"" => "",
		esc_html__( "Left", 'subway' ) => "left",
		esc_html__( "Right", 'subway' ) => "right",
		esc_html__( "Center", 'subway' ) => "center"	
	),
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));
vc_add_param("vc_row_inner", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Color", 'subway'),
	"param_name" => "color",
	"value" => "",
	
	"dependency" => Array('element' => "row_type", 'value' => array('expandable'))
));


// Separator
vc_add_param("vc_separator", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Type", 'subway'),
	"param_name" => "type",
	"value" => array(
		esc_html__( "Normal", 'subway' ) => "normal",
		esc_html__( "Transparent", 'subway' ) => "transparent",
		esc_html__( "Full width", 'subway' ) => "full_width"	
	),
	'save_always' => true,
	
));
vc_add_param("vc_separator", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Color", 'subway'),
	"param_name" => "color"
	
));

vc_add_param("vc_separator", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Thickness", 'subway'),
	"param_name" => "thickness"
	
));
vc_add_param("vc_separator", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Top Margin", 'subway'),
	"param_name" => "up"
	
));
vc_add_param("vc_separator", array(
	"type" => "textfield",
	"class" => "",
	"heading" => esc_html__("Bottom Margin", 'subway'),
	"param_name" => "down",
	"value" => "",
	
));

// Separator With Text
vc_add_param("vc_text_separator", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Border", 'subway'),
	"param_name" => "border",
	"value" => array(
		esc_html__( "No", 'subway' ) => "no",
		esc_html__( "Yes", 'subway' ) => "yes"
	),
	'save_always' => true,
));
vc_add_param("vc_text_separator", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Border Color", 'subway'),
	"param_name" => "border_color",
	"dependency" => Array('element' => "border", 'value' => array('yes'))
	
));
vc_add_param("vc_text_separator", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Background Color", 'subway'),
	"param_name" => "background_color",
	
));
vc_add_param("vc_text_separator", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Text Color", 'subway'),
	"param_name" => "text_color",
	
));
vc_add_param("vc_text_separator", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => esc_html__("Icon Color", 'subway'),
	"param_name" => "icon_color"
	
));
vc_add_param("vc_text_separator", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => esc_html__("Icon", 'subway'),
	"param_name" => "icon",
	"value" => $icons,
	'save_always' => true
));
vc_add_param("vc_text_separator", array(
	"type" => "attach_image",
	"class" => "",
	"heading" => esc_html__("Image", 'subway'),
	"param_name" => "image"
	
));

class WPBakeryShortCode_Vc_Parallax  extends WPBakeryShortCodesContainer {}
vc_map( array(
	esc_html__( 'name', 'subway' ) => 'Parallax',
	'base' => 'vc_parallax',
	'icon' => 'icon-wpb-ui-parallax',
	'as_parent' => array('only' => 'vc_parallax_section'),
	'content_element' => true,
	esc_html__( 'category', 'subway' ) => 'by QODE', 'subway',
	"show_settings_on_create" => false,
	"js_view" => 'VcColumnView',
	'params' => array(
		array(
			'type' => 'textfield',
			'holder' => 'div',
			'class' => '',
			'heading' => 'Title',
			'param_name' => 'title',
			'value' => '',
			esc_html__( 'description', 'subway' ) => 'What text use as a title. Leave blank if no title is needed.'
		)
	)
) );


class WPBakeryShortCode_Vc_Parallax_Section  extends WPBakeryShortCodesContainer {}
vc_map( array(
	esc_html__( 'name', 'subway' ) => 'Parallax Section',
	'base' => 'vc_parallax_section',
	'icon' => 'icon-wpb-ui-parallax',
	'as_parent' => array('except' => 'vc_parallax, vc_accordion, vc_tabs'),
	'as_child' => array('only' => 'vc_parallax'),
	'content_element' => true,
	"js_view" => 'VcColumnView',
	'params' => array(
		array(
			'type' => 'textfield',
			'holder' => 'div',
			'class' => '',
			'heading' => 'Title',
			'param_name' => 'title',
			'value' => '',
			esc_html__( 'description', 'subway' ) => 'Parallax section title.'
		),
		array(
			'type' => 'attach_image',
			'holder' => 'div',
			'class' => '',
			'heading' => 'Background Image',
			'param_name' => 'background_image',
			'value' => '',
			esc_html__( 'description', 'subway' ) => 'Parallax section background image.'
		),
		array(
			'type' => 'textfield',
			'holder' => 'div',
			'class' => '',
			'heading' => 'Section Height',
			'param_name' => 'height',
			'value' => '',
			esc_html__( 'description', 'subway' ) => 'Section height.'
		),
		array(
			'type' => 'dropdown',
			'holder' => 'div',
			'class' => '',
			'heading' => 'Content position',
			'param_name' => 'position',
			'value' => array(
				esc_html__( "center", 'subway' ) => "center",
				esc_html__( "left", 'subway' ) => "left",
				esc_html__( "right", 'subway' ) => "right"
			),
			'save_always' => true,
			esc_html__( 'description', 'subway' ) => ''
		),
		array(
			'type' => 'textfield',
			'holder' => 'div',
			'class' => '',
			'heading' => 'Anchor',
			'param_name' => 'anchor',
			'value' => '',
			esc_html__( 'description', 'subway' ) => ''
		)
	)
) );

//Testimonials
vc_map( array(
		"name" => esc_html__("Testimonials", 'subway'),
		"base" => "testimonials",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-testimonials",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					esc_html__( "Transparent", 'subway' ) => "transparent"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Category", 'subway'),
				"param_name" => "category",
				"value" => "",
				"description" => esc_html__("Category Slug (leave empty for all)", 'subway')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number", 'subway'),
				"param_name" => "number",
				"value" => "",
				"description" => esc_html__("Number of Testimonials", 'subway')
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Color", 'subway'),
				"param_name" => "border_color"
			)
		)
) );
//Portfolio
vc_map( array(
		"name" => esc_html__("Portfolio", 'subway'),
		"base" => "portfolio_list",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-portfolio",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "Standard", 'subway' ) => "standard",
					esc_html__( "Hover Text", 'subway' ) => "hover_text",
					esc_html__( "Bottom Text", 'subway' ) => "bottom_text"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Columns", 'subway'),
				"param_name" => "columns",
				"value" => array(
					"" => "",
					"2" => "2",
					"3" => "3",	
					"4" => "4",	
					"5" => "5",	
					"6" => "6"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Order By", 'subway'),
				"param_name" => "order_by",
				"value" => array(
					"" => "",
					esc_html__( "Menu Order", 'subway' ) => "menu_order",
					esc_html__( "Title", 'subway' ) => "title",	
					esc_html__( "Date", 'subway' ) => "date"
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Order", 'subway'),
				"param_name" => "order",
				"value" => array(
					"" => "",
					esc_html__( "ASC", 'subway' ) => "ASC",
					esc_html__( "DESC", 'subway' ) => "DESC",	
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Filter", 'subway'),
				"param_name" => "filter",
				"value" => array(
					"" => "",
					esc_html__( "Yes", 'subway' ) => "yes",
					esc_html__( "No", 'subway' ) => "no"	
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Lightbox", 'subway'),
				"param_name" => "lightbox",
				"value" => array(
					"" => "",
					esc_html__( "Yes", 'subway' ) => "yes",
					esc_html__( "No", 'subway' ) => "no"	
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Show Load More", 'subway'),
				"param_name" => "show_load_more",
				"value" => array(
					"" => "",
					esc_html__( "Yes", 'subway' ) => "yes",
					esc_html__( "No", 'subway' ) => "no"	
				)
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number", 'subway'),
				"param_name" => "number",
				"value" => "-1",
				"description" => esc_html__("Number of portolios on page (-1 is all)", 'subway')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Category", 'subway'),
				"param_name" => "category",
				"value" => "",
				"description" => esc_html__("Category Slug (leave empty for all)", 'subway')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Selected Projects", 'subway'),
				"param_name" => "selected_projects",
				"value" => "",
				"description" => esc_html__("Selected Projects (leave empty for all, delimit by comma)", 'subway')
			)
		)
) );
//Counter
vc_map( array(
		"name" => esc_html__("Counter", 'subway'),
		"base" => "counter",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-counter",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "Zero Counter", 'subway' ) => "zero",
					esc_html__( "Random Counter", 'subway' ) => "random"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Position", 'subway'),
				"param_name" => "position",
				"value" => array(
					esc_html__( "Left", 'subway' ) => "left",
					esc_html__( "Right", 'subway' ) => "right",	
					esc_html__( "Center", 'subway' ) => "center"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Digit", 'subway'),
				"param_name" => "digit"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Font size (px)", 'subway'),
				"param_name" => "font_size"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Font Color", 'subway'),
				"param_name" => "font_color"
			)
		)
) );

//Icon List Item
vc_map( array(
		"name" => esc_html__("Icon List Item", 'subway'),
		"base" => "icon_list_item",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-icon_list_item",
		"category" => esc_html__('by QODE', 'subway'),
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon", 'subway'),
				"param_name" => "icon",
				"value" => $icons,
				'save_always' => true
				),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Color", 'subway'),
				"param_name" => "icon_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Background Color", 'subway'),
				"param_name" => "icon_background_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Border Color", 'subway'),
				"param_name" => "icon_border_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", 'subway'),
				"param_name" => "title_color"
			),
		)
) );
// Call to action
vc_map( array(
		"name" => esc_html__("Qode call to action", 'subway'),
		"base" => "action",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-action",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "With border", 'subway' ) => "with_border",
					esc_html__( "Without border", 'subway' ) => "without_border",	
					esc_html__( "Elegant", 'subway' ) => "elegant"	
				),
				'save_always' => true
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Color", 'subway'),
				"param_name" => "border_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link", 'subway'),
				"param_name" => "link",
				"description" => esc_html__("Link (only with 'elegant' type)", 'subway')
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Link Target", 'subway'),
				"param_name" => "target",
				"value" => array(
					"" => "",
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent"	
				)
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<p>' . esc_html__("I am test text for Call to action.", 'subway') . '</p>'
			)
		)
) );
// Blockquote 
vc_map( array(
		"name" => esc_html__("Blockquote", 'subway'),
		"base" => "blockquote",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-blockquote",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textarea",
				"heading" => esc_html__("Text", 'subway'),
				"param_name" => "text",
				"value" => esc_html__("Blockquote text", 'subway'),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Width", 'subway'),
				"param_name" => "width",
				"description" => esc_html__("Width (%)", 'subway')
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Color", 'subway'),
				"param_name" => "border_color"
			),
		)
) );
// Button 
vc_map( array(
		"name" => esc_html__("Button", 'subway'),
		"base" => "button",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-button",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Size", 'subway'),
				"param_name" => "size",
				"value" => array(
					esc_html__( "Tiny", 'subway' ) => "tiny",
					esc_html__( "Small", 'subway' ) => "small",	
					esc_html__( "Medium", 'subway' ) => "medium",	
					esc_html__( "Large", 'subway' ) => "large",	
					esc_html__( "Big Large", 'subway' ) => "big_large"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					esc_html__( "Transparent", 'subway' ) => "no_fill"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Text", 'subway'),
				"param_name" => "text"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link", 'subway'),
				"param_name" => "link"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Link Target", 'subway'),
				"param_name" => "target",
				"value" => array(
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent",
					esc_html__( "Top", 'subway' ) => "_top"	
				),
				'save_always' => true
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Color", 'subway'),
				"param_name" => "border_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Color", 'subway'),
				"param_name" => "color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Font Style", 'subway'),
				"param_name" => "font_style",
				"value" => array(
					"" => "",
					esc_html__( "Normal", 'subway' ) => "normal",	
					esc_html__( "Italic", 'subway' ) => "italic"
				)
			)
		)
) );
// Image with text 
vc_map( array(
		"name" => esc_html__("Image with text", 'subway'),
		"base" => "image_with_text",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-image_with_text",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image", 'subway'),
				"param_name" => "image"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", 'subway'),
				"param_name" => "title_color"
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<p>' . esc_html__("I am test text for Image with text shortcode.", 'subway') . '</p>'
			)
		)
) );
// Image with text and icon  
vc_map( array(
		"name" => esc_html__("Image with text and Icon", 'subway'),
		"base" => "image_with_text_and_icon",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-image_with_text_and_icon",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image", 'subway'),
				"param_name" => "image"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Icon Size (em)", 'subway'),
				"param_name" => "icon_size"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Background Color", 'subway'),
				"param_name" => "icon_background_color"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon", 'subway'),
				"param_name" => "icon",
				"value" => $icons,
				'save_always' => true
				),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link", 'subway'),
				"param_name" => "link"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Link Target", 'subway'),
				"param_name" => "target",
				"value" => array(
					"" => "",
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent"
				)
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", 'subway'),
				"param_name" => "title_color"
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<p>' . esc_html__("I am test text for Image with text shortcode.", 'subway') . '</p>'
			)
		)
) );
//Message
vc_map( array(
		"name" => esc_html__("Qode Message", 'subway'),
		"base" => "message",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-message",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					esc_html__( "With Icon", 'subway' ) => "with_icon"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon", 'subway'),
				"param_name" => "icon",
				"value" => $icons,
				'save_always' => true,
				
				"dependency" => Array('element' => "type", 'value' => array('with_icon'))
				),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Custom Icon", 'subway'),
				"param_name" => "custom_icon",
				"dependency" => Array('element' => "type", 'value' => array('with_icon'))
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Color", 'subway'),
				"param_name" => "border_color"
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<p>' . esc_html__("I am test text for Message shortcode.", 'subway') . '</p>'
			)
		)
) );
// Pie Chart
vc_map( array(
		"name" => esc_html__("Qode Pie Chart", 'subway'),
		"base" => "pie_chart",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-pie_chart",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Percentage", 'subway'),
				"param_name" => "percent"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Percentage Color", 'subway'),
				"param_name" => "percentage_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Bar Active Color", 'subway'),
				"param_name" => "active_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Bar Noactive Color", 'subway'),
				"param_name" => "noactive_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Pie Chart Line Width (px)", 'subway'),
				"param_name" => "line_width"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", 'subway'),
				"param_name" => "title_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Text", 'subway'),
				"param_name" => "text"
			)
		)
) );
// Pie Chart 2 (Pie)
vc_map( array(
		"name" => esc_html__("Qode Pie Chart 2", 'subway'),
		"base" => "pie_chart2",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-pie_chart2",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Width", 'subway'),
				"param_name" => "width"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Height", 'subway'),
				"param_name" => "height"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Legend Text Color", 'subway'),
				"param_name" => "color"
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => "15,#badec5,Legend One; 35,#5eb378,Legend Two; 50,#1a933e,Legend Three"
			)

		)
) );
// Pie Chart 3 (Doughnut)
vc_map( array(
		"name" => esc_html__("Qode Pie Chart 3", 'subway'),
		"base" => "pie_chart3",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-pie_chart3",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Width", 'subway'),
				"param_name" => "width"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Height", 'subway'),
				"param_name" => "height"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Legend Text Color", 'subway'),
				"param_name" => "color"
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => "15,#badec5,Legend One; 35,#5eb378,Legend Two; 50,#1a933e,Legend Three"
			)

		)
) );
// Horizontal progress bar shortcode
vc_map( array(
		"name" => esc_html__("Qode Horizontal progress bar shortcode", 'subway'),
		"base" => "progress_bar",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-progress_bar",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", 'subway'),
				"param_name" => "title_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Percentage", 'subway'),
				"param_name" => "percent"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Percentage Color", 'subway'),
				"param_name" => "percent_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Active Background Color", 'subway'),
				"param_name" => "active_background_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("No active Background Color", 'subway'),
				"param_name" => "noactive_background_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Progress Bar Height (px)", 'subway'),
				"param_name" => "height"
			)
	
		)
) );

// Icon Progress Bar
vc_map( array(
		"name" => esc_html__("Icon Progress Bar", 'subway'),
		"base" => "progress_bar_icon",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-progress_bar_icon",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number of Icons", 'subway'),
				"param_name" => "icons_number"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number of Active Icons", 'subway'),
				"param_name" => "active_number"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					esc_html__( "Circle", 'subway' ) => "circle",
					esc_html__( "Square", 'subway' ) => "square"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon", 'subway'),
				"param_name" => "icon",
				"value" => $icons,
				'save_always' => true
				),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Size", 'subway'),
				"param_name" => "size",
				"value" => array(
					esc_html__( "Tiny", 'subway' ) => "tiny",
					esc_html__( "Small", 'subway' ) => "small",
					esc_html__( "Medium", 'subway' ) => "medium",	
					esc_html__( "Large", 'subway' ) => "large"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Custom Size (px)", 'subway'),
				"param_name" => "custom_size"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Color", 'subway'),
				"param_name" => "icon_color"
			),

			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Active Color", 'subway'),
				"param_name" => "icon_active_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Active Color", 'subway'),
				"param_name" => "background_active_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Color", 'subway'),
				"param_name" => "border_color",
				"description" => esc_html__("Only for Square type", 'subway'),
				"dependency" => Array('element' => "type", 'value' => array('square'))
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Active Color", 'subway'),
				"param_name" => "border_active_color",
				"description" => esc_html__("Only for Square type", 'subway'),
				"dependency" => Array('element' => "type", 'value' => array('square'))
			)
	
		)
) );


// Line Graph shortcode
vc_map( array(
		"name" => esc_html__("Line Graph", 'subway'),
		"base" => "line_graph",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-line_graph",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					"" => "",
					esc_html__( "Rounded edges", 'subway' ) => "rounded",
					esc_html__( "Sharp edges", 'subway' ) => "sharp"	
				)
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Width", 'subway'),
				"param_name" => "width"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Height", 'subway'),
				"param_name" => "height"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Custom Color", 'subway'),
				"param_name" => "custom_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Scale steps", 'subway'),
				"param_name" => "scale_steps"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Scale step width", 'subway'),
				"param_name" => "scale_step_width"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Labels", 'subway'),
				"param_name" => "labels",
				"value" => esc_html__("Label 1, Label 2, Label 3", 'subway')
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '#badec5,Legend One,1,5,10;#5eb378,Legend Two,3,7,20;#1a933e,Legend Three,10,2,34'
			)
		)
) );

// Pricing table shortcode
vc_map( array(
		"name" => esc_html__("Pricing table shortcode", 'subway'),
		"base" => "pricing_column",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-pricing_column",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title",
				"value" => esc_html__("Basic Plan", 'subway')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Price", 'subway'),
				"param_name" => "price"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Currency", 'subway'),
				"param_name" => "currency"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Price Period", 'subway'),
				"param_name" => "price_period"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link", 'subway'),
				"param_name" => "link"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target", 'subway'),
				"param_name" => "target",
				"value" => array(
					"" => "",
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent"
				)
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Button Text", 'subway'),
				"param_name" => "button_text"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Active", 'subway'),
				"param_name" => "active",
				"value" => array(
					esc_html__( "No", 'subway' ) => "no",
					esc_html__( "Yes", 'subway' ) => "yes"	
				),
				'save_always' => true
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<ul><li>' . esc_html__('content content content', 'subway') . '</li><li>' . esc_html__('content content content', 'subway') . '</li><li>' . esc_html__('content content content', 'subway') . '</li></ul>'

			)
		)
) );

// Social Share
vc_map( array(
		"name" => esc_html__("Social share", 'subway'),
		"base" => "social_share",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-social_share",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"show_settings_on_create" => false
) );

// Custom Font
vc_map( array(
		"name" => esc_html__("Custom Font", 'subway'),
		"base" => "custom_font",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-custom_font",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Font family", 'subway'),
				"param_name" => "font_family",
				"value" => 'Oswald'
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Font size", 'subway'),
				"param_name" => "font_size",
				"value" => esc_html__("15", 'subway'),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Line height", 'subway'),
				"param_name" => "line_height",
				"value" => esc_html__("26", 'subway'),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Font Style", 'subway'),
				"param_name" => "font_style",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					esc_html__( "Italic", 'subway' ) => "italic"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Text Align", 'subway'),
				"param_name" => "text_align",
				"value" => array(
					esc_html__( "Left", 'subway' ) => "left",
					esc_html__( "Center", 'subway' ) => "center",
					esc_html__( "Right", 'subway' ) => "right"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Font weight", 'subway'),
				"param_name" => "font_weight",
				"value" => esc_html__("300", 'subway'),
				'save_always' => true
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Color", 'subway'),
				"param_name" => "color"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Text decoration", 'subway'),
				"param_name" => "text_decoration",
				"value" => array(
					esc_html__( "None", 'subway' ) => "none",
					esc_html__( "Underline", 'subway' ) => "underline",
					esc_html__( "Overline", 'subway' ) => "overline",
					esc_html__( "Line Through", 'subway' ) => "line-through"	
				),
				'save_always' => true
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Padding (px)", 'subway'),
				"param_name" => "padding",
				"value" => '0px'
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Margin (px)", 'subway'),
				"param_name" => "margin",
				"value" => '0px'
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<p>' . esc_html__("content content content", 'subway') . '</p>'
			)
	
		)
) );
// Cover Boxes
vc_map( array(
		"name" => esc_html__("Cover Boxes", 'subway'),
		"base" => "cover_boxes",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-cover_boxes",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image 1", 'subway'),
				"param_name" => "image1"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title 1", 'subway'),
				"param_name" => "title1",
				
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color 1", 'subway'),
				"param_name" => "title_color1"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Text 1", 'subway'),
				"param_name" => "text1",
				
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link 1", 'subway'),
				"param_name" => "link1",
				
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link label 1", 'subway'),
				"param_name" => "link_label1",
				
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target 1", 'subway'),
				"param_name" => "target1",
				"value" => array(
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",
					esc_html__( "Parent", 'subway' ) => "_parent",	
					esc_html__( "Top", 'subway' ) => "_top"	
				),
				'save_always' => true
			),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image 2", 'subway'),
				"param_name" => "image2"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title 2", 'subway'),
				"param_name" => "title2",
				
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color 2", 'subway'),
				"param_name" => "title_color2"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Text 2", 'subway'),
				"param_name" => "text2",
				
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link 2", 'subway'),
				"param_name" => "link2",
				
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link label 2", 'subway'),
				"param_name" => "link_label2",
				
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target 2", 'subway'),
				"param_name" => "target2",
				"value" => array(
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",
					esc_html__( "Parent", 'subway' ) => "_parent",	
					esc_html__( "Top", 'subway' ) => "_top"	
				),
				'save_always' => true
			),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image 3", 'subway'),
				"param_name" => "image3"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title 3", 'subway'),
				"param_name" => "title3",
				
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color 3", 'subway'),
				"param_name" => "title_color3"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Text 3", 'subway'),
				"param_name" => "text3",
				
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link 3", 'subway'),
				"param_name" => "link3",
				
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link label 3", 'subway'),
				"param_name" => "link_label3",
				
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target 3", 'subway'),
				"param_name" => "target3",
				"value" => array(
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",
					esc_html__( "Parent", 'subway' ) => "_parent",	
					esc_html__( "Top", 'subway' ) => "_top"	
				),
				'save_always' => true
			)
			

		)
) );
// Ordered List
vc_map( array(
		"name" => esc_html__("Ordered List", 'subway'),
		"base" => "ordered_list",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-ordered_list",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<ol><li>' . esc_html__('Lorem Ipsum', 'subway') . '</li><li>' . esc_html__('Lorem Ipsum', 'subway') . '</li><li>' . esc_html__('Lorem Ipsum', 'subway') . '</li></ol>'
			)

		)
) );

// Unordered List

vc_map( array(
		"name" => esc_html__("Unordered List", 'subway'),
		"base" => "unordered_list",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-unordered_list",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Style", 'subway'),
				"param_name" => "style",
				"value" => array(
					esc_html__( "Circle", 'subway' ) => "circle",
					esc_html__( "Number", 'subway' ) => "number"
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Animate List", 'subway'),
				"param_name" => "animate",
				"value" => array(
					esc_html__( "No", 'subway' ) => "no",
					esc_html__( "Yes", 'subway' ) => "yes"
				),
				'save_always' => true
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<ul><li>' . esc_html__('Lorem Ipsum', 'subway') . '</li><li>' . esc_html__('Lorem Ipsum', 'subway') . '</li><li>' . esc_html__('Lorem Ipsum', 'subway') . '</li></ul>'

			)

		)
) );

// Icon
vc_map( array(
		"name" => esc_html__("Icon", 'subway'),
		"base" => "icons",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-icons",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Size", 'subway'),
				"param_name" => "size",
				"value" => array(
					esc_html__( "Tiny", 'subway' ) => "icon-large",
					esc_html__( "Small", 'subway' ) => "icon-2x",
					esc_html__( "Medium", 'subway' ) => "icon-3x",	
					esc_html__( "Large", 'subway' ) => "icon-4x"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Custom Size (px)", 'subway'),
				"param_name" => "custom_size",
				
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon", 'subway'),
				"param_name" => "icon",
				"value" => $icons,
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Type", 'subway'),
				"param_name" => "type",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					esc_html__( "Circle", 'subway' ) => "circle",
					esc_html__( "Square", 'subway' ) => "square"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Position", 'subway'),
				"param_name" => "position",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "",
					esc_html__( "Left", 'subway' ) => "left",
					esc_html__( "Right", 'subway' ) => "right"	
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Border", 'subway'),
				"param_name" => "border",
				"value" => array(
					esc_html__( "Yes", 'subway' ) => "yes",
					esc_html__( "No", 'subway' ) => "no"	
				),
				'save_always' => true
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Border Color", 'subway'),
				"param_name" => "border_color",
				"description" => esc_html__("Only for Square type", 'subway'),
				"dependency" => Array('element' => "type", 'value' => array('square'))
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Color", 'subway'),
				"param_name" => "icon_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Margin", 'subway'),
				"param_name" => "margin",
				"description" => esc_html__("Margin (top right bottom left)", 'subway')
			)
	
		)
) );

// Social Icon 
vc_map( array(
		"name" => esc_html__("Social Icon", 'subway'),
		"base" => "social_icons",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-social_icons",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon", 'subway'),
				"param_name" => "icon",
				"value" => array(
					esc_html__( "ADN", 'subway' ) => "icon-adn",
					esc_html__( "Android", 'subway' ) => "icon-android",
					esc_html__( "Apple", 'subway' ) => "icon-apple",
					esc_html__( "Bitbucket", 'subway' ) => "icon-bitbucket",	
					esc_html__( "Bitbucket-Sign", 'subway' ) => "icon-bitbucket-sign",	
					esc_html__( "Bitcoin", 'subway' ) => "icon-bitcoin",	
					esc_html__( "BTC", 'subway' ) => "icon-btc",	
					esc_html__( "CSS3", 'subway' ) => "icon-css3",	
					esc_html__( "Dribbble", 'subway' ) => "icon-dribbble",	
					esc_html__( "Dropbox", 'subway' ) => "icon-dropbox",	
					esc_html__( "Facebook", 'subway' ) => "icon-facebook",	
					esc_html__( "Facebook-Sign", 'subway' ) => "icon-facebook-sign",	
					esc_html__( "Flickr", 'subway' ) => "icon-flickr",	
					esc_html__( "Foursquare", 'subway' ) => "icon-foursquare",	
					esc_html__( "GitHub", 'subway' ) => "icon-github",	
					esc_html__( "GitHub-Alt", 'subway' ) => "icon-github-alt",	
					esc_html__( "GitHub-Sign", 'subway' ) => "icon-github-sign",	
					esc_html__( "Gittip", 'subway' ) => "icon-gittip",	
					esc_html__( "Google Plus", 'subway' ) => "icon-google-plus",	
					esc_html__( "Google Plus-Sign", 'subway' ) => "icon-google-plus-sign",	
					esc_html__( "HTML5", 'subway' ) => "icon-html5",	
					esc_html__( "Instagram", 'subway' ) => "icon-instagram",	
					esc_html__( "LinkedIn", 'subway' ) => "icon-linkedin",	
					esc_html__( "LinkedIn-Sign", 'subway' ) => "icon-linkedin-sign",	
					esc_html__( "Linux", 'subway' ) => "icon-linux",	
					esc_html__( "MaxCDN", 'subway' ) => "icon-maxcdn",	
					esc_html__( "Pinterest", 'subway' ) => "icon-pinterest",	
					esc_html__( "Pinterest-Sign", 'subway' ) => "icon-pinterest-sign",	
					esc_html__( "Renren", 'subway' ) => "icon-renren",	
					esc_html__( "Skype", 'subway' ) => "icon-skype",	
					esc_html__( "StackExchange", 'subway' ) => "icon-stackexchange",	
					esc_html__( "Trello", 'subway' ) => "icon-trello",	
					esc_html__( "Tumblr", 'subway' ) => "icon-tumblr",	
					esc_html__( "Tumblr-Sign", 'subway' ) => "icon-tumblr-sign",	
					esc_html__( "Twitter", 'subway' ) => "icon-twitter",	
					esc_html__( "Twitter-Sign", 'subway' ) => "icon-twitter-sign",	
					esc_html__( "VK", 'subway' ) => "icon-vk",	
					esc_html__( "Weibo", 'subway' ) => "icon-weibo",	
					esc_html__( "Windows", 'subway' ) => "icon-windows",	
					esc_html__( "Xing", 'subway' ) => "icon-xing",	
					esc_html__( "Xing-Sign", 'subway' ) => "icon-xing-sign",	
					esc_html__( "YouTube", 'subway' ) => "icon-youtube",	
					esc_html__( "YouTube Play", 'subway' ) => "icon-youtube-play",	
					esc_html__( "YouTube-Sign", 'subway' ) => "icon-youtube-sign",	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Size", 'subway'),
				"param_name" => "size",
				"value" => array(
					esc_html__( "Small", 'subway' ) => "icon-large",
					esc_html__( "Normal", 'subway' ) => "icon-2x",	
					esc_html__( "Large", 'subway' ) => "icon-3x"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link", 'subway'),
				"param_name" => "link",
				
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target", 'subway'),
				"param_name" => "target",
				"value" => array(
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",
					esc_html__( "Parent", 'subway' ) => "_parent"	
				),
				'save_always' => true
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Color", 'subway'),
				"param_name" => "icon_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Background Color", 'subway'),
				"param_name" => "background_color"
			)
		)
) );

// Icon with Text
vc_map( array(
		"name" => esc_html__("Icon With Text", 'subway'),
		"base" => "icon_text",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-icon_text",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Box type", 'subway'),
				"param_name" => "box_type",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					"Icon in a box" => "icon_in_a_box"
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Box Border", 'subway'),
				"param_name" => "box_border",
				"value" => array(
					esc_html__( "Yes", 'subway' ) => "yes",
					esc_html__( "No", 'subway' ) => "no"	
				),
				'save_always' => true
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Box Border Color", 'subway'),
				"param_name" => "box_border_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Box Background Color", 'subway'),
				"param_name" => "box_background_color",
				
				"dependency" => Array('element' => "box_type", 'value' => array('icon_in_a_box'))
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon", 'subway'),
				"param_name" => "icon",
				"value" => $icons,
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon Type", 'subway'),
				"param_name" => "icon_type",
				"value" => array(
					esc_html__( "Normal", 'subway' ) => "normal",
					esc_html__( "Circle", 'subway' ) => "circle",
					esc_html__( "Square", 'subway' ) => "square"	
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon Size", 'subway'),
				"param_name" => "icon_size",
				"value" => array(
					esc_html__( "Tiny", 'subway' ) => "icon-large",
					esc_html__( "Small", 'subway' ) => "icon-2x",
					esc_html__( "Medium", 'subway' ) => "icon-3x",	
					esc_html__( "Large", 'subway' ) => "icon-4x"	
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Custom Icon Size (px)", 'subway'),
				"param_name" => "custom_icon_size",
				
			),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image", 'subway'),
				"param_name" => "image"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon Position", 'subway'),
				"param_name" => "icon_position",
				"value" => array(
					esc_html__( "Top", 'subway' ) => "top",
					esc_html__( "Left", 'subway' ) => "left"	
				),
				'save_always' => true,
				"description" => esc_html__("Icon Position (only for normal box type)", 'subway'),
				"dependency" => Array('element' => "box_type", 'value' => array('normal'))
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Border Color", 'subway'),
				"param_name" => "border_color",
				"description" => esc_html__("Only for Square type", 'subway'),
				"dependency" => Array('element' => "icon_type", 'value' => array('square'))
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Color", 'subway'),
				"param_name" => "icon_color"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Background Color", 'subway'),
				"param_name" => "icon_background_color",
				"description" => esc_html__("Icon Background Color (only for square and circle icon type)", 'subway'),
				"dependency" => Array('element' => "icon_type", 'value' => array('square','circle'))
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title",
				
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Text", 'subway'),
				"param_name" => "text",
				
			),
              array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", 'subway'),
				"param_name" => "title_color"
			),
            array(
				"type" => "colorpicker",
				"heading" => esc_html__("Text Color", 'subway'),
				"param_name" => "text_color"
			),
		)
) );

// Latest Posts 

vc_map( array(
		"name" => esc_html__("Latest Posts", 'subway'),
		"base" => "latest_post",
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-latest_post",
		"category" => esc_html__('by QODE', 'subway'),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Number of Posts per Row", 'subway'),
				"param_name" => "post_number_per_row",
				"value" => array(
					"2" => "2",
					"3" => "3",
					"4" => "4"
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Number of Rows", 'subway'),
				"param_name" => "rows",
				"value" => array(
					"1" => "1",
					"2" => "2",
					"3" => "3"
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Number of Rows", 'subway'),
				"param_name" => "rows",
				"value" => array(
					"1" => "1",
					"2" => "2",
					"3" => "3"
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Order By", 'subway'),
				"param_name" => "order_by",
				"value" => array(
					esc_html__( "Menu Order", 'subway' ) => "menu_order",
					esc_html__( "Title", 'subway' ) => "title",
					esc_html__( "Date", 'subway' ) => "date"
				),
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Order", 'subway'),
				"param_name" => "order",
				"value" => array(
					esc_html__( "ASC", 'subway' ) => "ASC",
					esc_html__( "DESC", 'subway' ) => "DESC"
				),
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Category Slug", 'subway'),
				"param_name" => "category",
				"description" => esc_html__("Leave empty for all or use comma for list", 'subway')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Text length", 'subway'),
				"param_name" => "text_length",
				"description" => esc_html__("Number of caracters", 'subway')
			)
		)
) );


// Steps
vc_map( array(
		"name" => esc_html__("Steps", 'subway'),
		"base" => "steps",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-steps",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image 1", 'subway'),
				"param_name" => "image1"
			),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image 2", 'subway'),
				"param_name" => "image2"
			),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image 3", 'subway'),
				"param_name" => "image3"
			),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image 4", 'subway'),
				"param_name" => "image4"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Icon Background Color", 'subway'),
				"param_name" => "icon_background_color"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon 1", 'subway'),
				"param_name" => "icon1",
				"value" => $icons,
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon 2", 'subway'),
				"param_name" => "icon2",
				"value" => $icons,
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon 3", 'subway'),
				"param_name" => "icon3",
				"value" => $icons,
				'save_always' => true
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Icon 4", 'subway'),
				"param_name" => "icon4",
				"value" => $icons,
				'save_always' => true
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link 1", 'subway'),
				"param_name" => "link1"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link 2", 'subway'),
				"param_name" => "link2"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link 3", 'subway'),
				"param_name" => "link3"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link 4", 'subway'),
				"param_name" => "link4"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target 1", 'subway'),
				"param_name" => "target1",
				"value" => array(
					"" => "",
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent"	
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target 2", 'subway'),
				"param_name" => "target2",
				"value" => array(
					"" => "",
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent"	
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target 3", 'subway'),
				"param_name" => "target3",
				"value" => array(
					"" => "",
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent"	
				)
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Target 4", 'subway'),
				"param_name" => "target4",
				"value" => array(
					"" => "",
					esc_html__( "Self", 'subway' ) => "_self",
					esc_html__( "Blank", 'subway' ) => "_blank",	
					esc_html__( "Parent", 'subway' ) => "_parent"	
				)
			)
		)
) );

// Image with text over
vc_map( array(
		"name" => esc_html__("Image with text over", 'subway'),
		"base" => "image_with_text_over",
		"category" => esc_html__('by QODE', 'subway'),
		'admin_enqueue_css' => array(get_template_directory_uri().'/css/admin/vc-extend.css'),
		"icon" => "icon-wpb-image_with_text_over",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image", 'subway'),
				"param_name" => "image"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'subway'),
				"param_name" => "title"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Title Color", 'subway'),
				"param_name" => "title_color"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Subtitle", 'subway'),
				"param_name" => "subtitle"
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Subtitle Color", 'subway'),
				"param_name" => "subtitle_color"				
			),
			array(
				"type" => "colorpicker",
				"heading" => esc_html__("Line Color", 'subway'),
				"param_name" => "line_color"
			),
			array(
				"type" => "textarea_html",
				"heading" => esc_html__("Content", 'subway'),
				"param_name" => "content",
				"value" => '<p>' . esc_html__("I am test text for Image with text shortcode.", 'subway') . '</p>'
			)
		)
) );