<?php 

$subway_options = subway_qode_return_global_options();

$subway_qode_display_footer_top = true;
if (isset($subway_options['show_footer_top'])) {
	if ($subway_options['show_footer_top'] == "no") $subway_qode_display_footer_top = false;
}

$subway_qode_footer_top_flag = false;

//check footer columns.If they are empty, disable footer top
for ( $i = 1; $i <= 3; $i ++ ) {
	$footer_columns_id = 'footer_column_' . $i;
	if ( is_active_sidebar( $footer_columns_id ) ) {
		$subway_qode_footer_top_flag = true;
		break;
	}
}

$display_footer_text = false;
if (isset($subway_options['footer_text'])) {
	if ($subway_options['footer_text'] == "yes") {
		$display_footer_text = true;
	}
}

?>
		
	</div>
</div>
<?php if( ($subway_qode_display_footer_top && $subway_qode_footer_top_flag) || ($display_footer_text && is_active_sidebar( 'footer_text' )) ) { ?>
	<footer>
		<?php if( $subway_qode_display_footer_top && $subway_qode_footer_top_flag ) { ?>
		<div class="footer_top_holder">
			<div class="footer_top">
				<div class="container">
					<div class="container_inner">
						<div class="four_columns clearfix">
							<div class="column1">
								<div class="column_inner">
									<?php dynamic_sidebar( 'footer_column_1' ); ?>
								</div>
							</div>
							<div class="column2">
								<div class="column_inner">
									<?php dynamic_sidebar( 'footer_column_2' ); ?>
								</div>
							</div>
							<div class="column3">
								<div class="column_inner">
									<?php dynamic_sidebar( 'footer_column_3' ); ?>
								</div>
							</div>
							<div class="column4">
								<div class="column_inner">
									<?php dynamic_sidebar( 'footer_column_4' ); ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>
		<?php

		if($display_footer_text && is_active_sidebar( 'footer_text' )): ?>
		<div class="footer_bottom_holder">
			<div class="footer_bottom">
				<?php dynamic_sidebar( 'footer_text' ); ?>
			</div>
		</div>
		<?php endif; ?>
	</footer>
<?php } ?>
</div>
</div>
	<?php
		$qode_toolbar = subway_qode_return_toolbar_variable();
		if(isset($qode_toolbar)) {
		    include_once (SUBWAY_INCLUDES_ROOT_DIR . '/modules/toolbar.php');
        }
	?>
	<?php wp_footer(); ?>
</body>
</html>