<?php
$root = dirname(dirname(dirname(dirname(dirname(__FILE__)))));
if ( file_exists( $root.'/wp-load.php' ) ) {
    require_once( $root.'/wp-load.php' );
} elseif ( file_exists( $root.'/wp-config.php' ) ) {
    require_once( $root.'/wp-config.php' );
}
header("Content-type: text/css; charset=utf-8");
$subway_options = subway_qode_return_global_options();
?>
<?php if (!empty($subway_options['selection_color'])) { ?>
    /* Webkit */
    ::selection {
    background: <?php echo esc_attr($subway_options['selection_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['selection_color'])) { ?>
    /* Gecko/Mozilla */
    ::-moz-selection {
    background: <?php echo esc_attr($subway_options['selection_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['first_color'])) { ?>
    table th,
    table tr:nth-child(odd) td,
    nav.main_menu > ul > li:hover > a span,
    .drop_down .narrow .second .inner ul li a span,
    .icon_list i,
    .progress_bar .progress_content,
    .box_holder_icon_inner.square .icon-stack,
    .qbutton,
    .load_more a,
    #submit_comment,
    .call_to_action.elegant .cta_button,
    .portfolio_gallery a .gallery_text_holder,
    .tabs .tabs-nav li.active a,
    .highlight,
    .gallery_holder ul li .gallery_hover,
    .active_best_price,
    .price_table_inner .price_button,
    .icon_with_title.boxed .icon_holder .icon-stack,
    .progress_bars_icons_inner.square .bar.active .bar_noactive,
    .progress_bars_icons_inner.square .bar.active .bar_active,
    .latest_post_text span.latest_date,
    .blog_holder article.format-link .post_text:hover .post_text_holder,
    .blog_holder article.format-quote .post_text:hover .post_text_holder,
    .widget.widget_search form input[type="submit"],
    .widget .tagcloud a:hover,
    .mejs-controls .mejs-time-rail .mejs-time-current,
    .mejs-controls .mejs-time-rail .mejs-time-handle,
    .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current,
    .pie_graf_legend ul li .color_holder,
    .line_graf_legend ul li .color_holder,
    .projects_holder article span.text_holder,
    .header_top #lang_sel_list ul li a:hover,
    .header_top #lang_sel_list ul li a.lang_sel_other:hover,
    .header_top #lang_sel_list ul li a.lang_sel_sel,
    .blog_holder article.format-link .post_text:hover .post_text_holder .social_share_holder .social_share_icon,
    .blog_holder article.format-quote .post_text:hover .post_text_holder .social_share_holder .social_share_icon
    {
    background-color: <?php echo esc_attr($subway_options['first_color']);?>;
    }

    <?php $article_hover = subway_qode_hex2rgb($subway_options['first_color']); ?>

    .projects_holder article span.text_holder{
    background-color: rgba(<?php echo esc_attr($article_hover[0]); ?>,<?php echo esc_attr($article_hover[1]); ?>,<?php echo esc_attr($article_hover[2]); ?>,0.85);
    }

    a:hover,
    p a:hover,
    nav.main_menu > ul > li.active > a,
    .drop_down .second .inner ul li:hover a,
    .drop_down .second .inner ul li.sub ul li:hover a,
    .drop_down .wide .second ul li a:hover,
    .drop_down .wide .second .inner ul li.sub ul li a:hover,
    .drop_down .wide.icons  .second i,
    nav.mobile_menu ul li a:hover,
    nav.mobile_menu ul li.active > a,
    .title .breadcrumb .delimiter,
    .title .breadcrumb .current,
    .title .breadcrumb a:hover,
    .counter_holder span.counter,
    .box_holder_icon i,
    .box_holder_icon .icon-stack i.icon-circle,
    .qbutton.no_fill,
    .qbutton.no_fill:hover,
    .percentage,
    .portfolio_navigation .portfolio_prev a:hover,
    .portfolio_navigation .portfolio_next a:hover,
    .portfolio_like a i,
    .portfolio_single .portfolio_like a i,
    .portfolio_like span,
    .portfolio_single .portfolio_like span,
    .filter_holder ul li span,
    .accordion_holder.accordion.with_icon h5 i,
    .testimonial_text_inner i,
    blockquote i.pull-left,
    .dropcap,
    .message.with_icon > i,
    .price_table_inner ul li.table_title,
    .icon_with_title .icon_holder i,
    .icon_with_title.circle .icon_holder .icon-stack i.icon-circle,
    .font_awsome_icon i,
    .drop_down .wide .second .inner ul li.sub .flexslider ul li a:hover,
    .drop_down .wide .second ul li .flexslider ul li  a:hover,
    .flexslider.widget_flexslider h5,
    .flexslider.widget_flexslider ul li  h5 a,
    .flexslider.widget_flexslider ul li  h5 a,
    .progress_bars_icons_inner.normal .bar.active i,
    .progress_bars_icons_inner .bar.active i.icon-circle,
    .list.number ul>li:before,
    .blog_holder article .post_infos a:hover,
    .blog_holder article .post_infos .post_author:hover,
    .blog_holder article .post_infos .post_comments:hover,
    .blog_like a i,
    .social_share_dropdown ul li i,
    .social_share_dropdown ul li:hover .share_text,
    .single_links_pages span,
    .single_links_pages a:hover span,
    .pagination ul li span,
    .pagination ul li a:hover,
    .pagination ul li.next a:hover i,
    .pagination ul li.prev a:hover i,
    .pagination ul li.last a:hover i,
    .pagination ul li.first a:hover i,
    #back_to_top:hover,
    .header_top #lang_sel ul > li:hover > a,
    .header_top #lang_sel_click ul > li:hover > a,
    .header_top #lang_sel ul li ul li a:hover,
    .header_top #lang_sel_click ul li ul li a:hover,
    .header_top #lang_sel_list ul li a,
    .header_top #lang_sel_list ul li a:visited,
    footer #lang_sel ul ul a:hover,
    footer #lang_sel_click ul ul a:hover,
    aside .widget #lang_sel_list li a:hover,
    section.side_menu #lang_sel_list li a:hover,
    footer #lang_sel_list li a:hover,
    aside .widget #lang_sel_list.lang_sel_list_vertical a.lang_sel_sel,
    section.side_menu #lang_sel_list.lang_sel_list_vertical a.lang_sel_sel,
    aside .widget #lang_sel_list.lang_sel_list_horizontal a.lang_sel_sel,
    section.side_menu #lang_sel_list.lang_sel_list_horizontal a.lang_sel_sel,
    .steps_holder .icon-circle,
    .vc_text_separator.full div,
    .shopping_cart_dropdown ul li a:hover
    {
    color: <?php echo esc_attr($subway_options['first_color']);?>;
    }

    .social_icon_holder .icon-stack:hover i.icon-circle{
    color: <?php echo esc_attr($subway_options['first_color']);?> !important;
    }

    .box_image_with_border:hover,
    .qbutton,
    .load_more a,
    #submit_comment,
    .filter_holder ul,
    .tabs .tabs-nav li.active a,
    .price_table_inner .price_button,
    #respond textarea:focus,
    #respond input[type='text']:focus,
    .contact_form input[type='text']:focus,
    .contact_form  textarea:focus,
    .pagination ul li.next a:hover,
    .pagination ul li.prev a:hover,
    .pagination ul li.last a:hover,
    .pagination ul li.first a:hover,
    .widget .tagcloud a:hover,
    .blog_holder article.format-link .post_text:hover .post_text_holder,
    .blog_holder article.format-quote .post_text:hover .post_text_holder,
    #back_to_top:hover span,
    .vc_text_separator.full div,
    ajax_loader_html
    {
    border-color: <?php echo esc_attr($subway_options['first_color']);?>;
    }

    <?php if(function_exists("is_woocommerce")){ ?>
        .woocommerce del,
        .woocommerce-page del,
        .woocommerce del .amount,
        .woocommerce-page del .amount,
        .woocommerce .select2-results li.select2-highlighted,
        .woocommerce-page .select2-results li.select2-highlighted,
        .woocommerce-checkout .chosen-container .chosen-results li.active-result.highlighted,
        .woocommerce-account .chosen-container .chosen-results li.active-result.highlighted,
        .woocommerce ul.products li.product h3:hover,
        .woocommerce-page ul.products li.product h3:hover,
        .woocommerce ul.products li.product a.button,
        .woocommerce .single_add_to_cart_button,
        .woocommerce-page .single_add_to_cart_button,
        .woocommerce-pagination ul.page-numbers li span.current,
        .woocommerce div.product .summary p.price span.amount,
        .woocommerce ul.tabs li.active a,
        .woocommerce div.cart-collaterals div.cart_totals table tr.order-total strong span.amount,
        .woocommerce-page div.cart-collaterals div.cart_totals table tr.order-total strong span.amount,
        .woocommerce div.cart-collaterals div.cart_totals table tr.order-total th,
        .woocommerce div.cart-collaterals h2 a span,
        .woocommerce .checkout-opener-text a,
        .woocommerce form.checkout table.shop_table tfoot tr.order-total th,
        .woocommerce form.checkout table.shop_table tfoot tr.order-total td span.amount,
        .woocommerce aside .widget ul.product-categories a:hover,
        .woocommerce-page aside .widget ul.product-categories a:hover,
        .woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a,
        .woocommerce-account .woocommerce-MyAccount-navigation ul li a:hover,
        .select2-container--default.select2-container--open .select2-selection--single,
        .select2-container--default .select2-results__option[aria-selected=true],
        .select2-container--default .select2-results__option--highlighted[aria-selected]
        {
        color: <?php echo esc_attr($subway_options['first_color']);?>;
        }

        .woocommerce div.message,
        .woocommerce .woocommerce-message,
        .woocommerce .woocommerce-error,
        .woocommerce .woocommerce-info,
        .woocommerce .button,
        .woocommerce-page .button,
        .woocommerce-page input[type="submit"],
        .woocommerce input[type="submit"],
        .woocommerce ul.products li.product .added_to_cart,
        .woocommerce ul.products li.product a.qbutton:hover,
        .woocommerce-page ul.products li.product a.qbutton:hover,
        .woocommerce .product .onsale,
        .woocommerce .product .single-onsale,
        .woocommerce .quantity input[type="button"]:hover,
        .woocommerce #content .quantity input[type="button"]:hover,
        .woocommerce-page .quantity input[type="button"]:hover,
        .woocommerce-page #content .quantity input[type="button"]:hover,
        .woocommerce .quantity input[type="button"]:active,
        .woocommerce #content .quantity input[type="button"]:active,
        .woocommerce-page .quantity input[type="button"]:active,
        .woocommerce-page #content .quantity input[type="button"]:active,
        .widget #searchform input[type="submit"],
        .woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content,
        .woocommerce-page .widget_price_filter .price_slider_wrapper .ui-widget-content,
        .woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
        .woocommerce-page .widget_price_filter .ui-slider .ui-slider-handle,
        .shopping_cart_header .header_cart span
        {
        background-color: <?php echo esc_attr($subway_options['first_color']);?>;
        }

        .woocommerce input[type='text']:focus,
        .woocommerce input[type='password']:focus,
        .woocommerce input[type='email']:focus,
        .woocommerce-page input[type='text']:focus,
        .woocommerce-page input[type='password']:focus,
        .woocommerce-page input[type='email']:focus,
        .woocommerce textarea:focus,
        .woocommerce-page textarea :focus,
        .woocommerce .button,
        .woocommerce-page .button,
        .woocommerce-page input[type="submit"],
        .woocommerce input[type="submit"],
        .woocommerce ul.products li.product .added_to_cart,
        .woocommerce-pagination ul.page-numbers li a.prev:hover,
        .woocommerce-pagination ul.page-numbers li a.next:hover,
        .widget #searchform.form_focus,
        .woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
        .woocommerce-page .widget_price_filter .ui-slider .ui-slider-handle,
        .select2-container--default .select2-search--dropdown .select2-search__field:focus
        {
        border-color: <?php echo esc_attr($subway_options['first_color']);?>;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['second_color'])) { ?>
    .separator,
    .progress_bars_icons_inner.square .bar .bar_noactive,
    .progress_bars_icons_inner.square .bar .bar_active,
    .mejs-controls .mejs-time-rail .mejs-time-total,
    .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total
    {
    background-color: <?php echo esc_attr($subway_options['second_color']);?>;
    }

    .message a.close i,
    .progress_bars_icons_inner.normal .bar i,
    .progress_bars_icons_inner .bar i.icon-circle,
    .blog_holder.small_images article.format-audio .post_image a i,
    .blog_holder.small_images article.format-link .post_image a i,
    .blog_holder.small_images article.format-quote .post_image a i
    {
    color: <?php echo esc_attr($subway_options['second_color']);?>;
    }

    .drop_down .wide .second ul li ul,
    section.section,
    .box_image_with_border,
    .box_holder,
    .call_to_action,
    .portfolio_detail .info,
    .portfolio_navigation,
    .tabs .tabs-nav li a,
    .tabs.boxed .tabs-nav li.active a,
    .tabs.boxed .tabs-container,
    .accordion_holder,
    .accordion_holder.accordion h5,
    .accordion_holder.accordion.with_icon h5,
    .accordion_holder.accordion div.accordion_content,
    .testimonial_text_inner,
    .testimonial_arrow,
    blockquote,
    .dropcap,
    .message,
    .price_table_inner ul li,
    .icon_with_title.with_border_line .icon_text_inner,
    .blog_holder article,
    .social_share_holder.hover .social_share_icon,
    .social_share_dropdown ul,
    .author_description,
    .comment_holder  ul.comment-list,
    .comment_holder .comment,
    #respond textarea,
    #respond input[type='text'],
    .contact_form input[type='text'],
    .contact_form  textarea,
    .blog_holder.masonry article,
    .pagination ul li.prev a,
    .pagination ul li.first a,
    .pagination ul li.next a,
    .pagination ul li.last a,
    aside .widget,
    .widget.widget_archive select,
    .widget.widget_categories select,
    .widget.widget_text select,
    .widget.widget_search form input[type="text"],
    .widget .tagcloud a,
    .blog_holder article.format-link .post_text .post_text_holder,
    .blog_holder article.format-quote .post_text .post_text_holder,
    .mejs-mediaelement
    {
    border-color: <?php echo esc_attr($subway_options['second_color']);?>;
    }

    <?php if(function_exists("is_woocommerce")){ ?>
        .woocommerce-pagination ul.page-numbers li a.prev,
        .woocommerce-pagination ul.page-numbers li a.next
        {
        color: <?php echo esc_attr($subway_options['second_color']);?>;
        }

        .woocommerce input[type='text'],
        .woocommerce input[type='password'],
        .woocommerce input[type='email'],
        .woocommerce-page input[type='text'],
        .woocommerce-page input[type='password'],
        .woocommerce-page input[type='email'],
        .woocommerce textarea,
        .woocommerce-page textarea,
        .woocommerce .chosen-container.chosen-container-single .chosen-single,
        .woocommerce-page .chosen-container.chosen-container-single .chosen-single,
        .woocommerce-checkout .form-row .chosen-container-single .chosen-single,
        .woocommerce-pagination ul.page-numbers li a.prev,
        .woocommerce-pagination ul.page-numbers li a.next,
        .woocommerce .woocommerce-tabs .panel,
        .woocommerce ul.tabs li,
        .woocommerce ol.commentlist li,
        .woocommerce.single-product .woocommerce-message,
        .woocommerce-account table.my_account_orders thead tr,
        .woocommerce-page .checkout table.shop_table thead tr,
        .woocommerce-cart table.cart tbody tr,
        .woocommerce-checkout .checkout table tbody tr,
        .woocommerce-account table.my_account_orders tbody tr,
        .woocommerce table.cart tbody td.product-remove,
        .woocommerce-page table.cart tbody td.product-remove,
        .woocommerce #payment ul.payment_methods li,
        .widget #searchform input[type="text"]
        {
        border-color: <?php echo esc_attr($subway_options['second_color']);?>;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['third_color'])) { ?>
    .progress_bar .progress_content_outer,
    .projects_holder.hover_text.with_mask article .image .image_hover,
    .filter_holder ul,
    .social_share_icon,
    .social_share_dropdown ul,
    .header_top #lang_sel ul > li:hover,
    .header_top #lang_sel_click ul > li:hover,
    .header_top #lang_sel ul ul ,
    .header_top #lang_sel_click ul ul,
    footer #lang_sel ul ul a:hover,
    footer #lang_sel_click ul ul a:hover,
    .accordion_holder.accordion h5.ui-state-active,
    .tabs.boxed .tabs-nav li.active a,
    .blog_holder article.format-link .post_text:hover .post_text_holder .social_share_holder:hover .social_share_icon,
    .blog_holder article.format-quote .post_text:hover .post_text_holder .social_share_holder:hover .social_share_icon,
    .image_with_text_over .over_line
    {
    background-color: <?php echo esc_attr($subway_options['third_color']);?>;
    }

    .header_top #lang_sel > ul > li > a:hover,
    .header_top #lang_sel_click > ul > li> a:hover,
    .header_top #lang_sel > ul > li:hover > a,
    .header_top #lang_sel_click > ul > li:hover > a{
    background-color: <?php echo esc_attr($subway_options['third_color']);?> !important;
    }

    <?php $portfolio_hover_color = subway_qode_hex2rgb($subway_options['third_color']); ?>

    .projects_holder.hover_text.with_mask article .image .image_hover{
    background-color: rgba(<?php echo esc_attr($portfolio_hover_color[0]); ?>,<?php echo esc_attr($portfolio_hover_color[1]); ?>,<?php echo esc_attr($portfolio_hover_color[2]); ?>,0.85);
    }

    .progress_bar .progress_content_outer{
    background-color: rgba(<?php echo esc_attr($portfolio_hover_color[0]); ?>,<?php echo esc_attr($portfolio_hover_color[1]); ?>,<?php echo esc_attr($portfolio_hover_color[2]); ?>,0.3);
    }

    table tr:nth-child(odd) td,
    .icon_list i,
    .box_holder_icon .icon-stack i,
    .qbutton,
    .load_more a,
    #submit_comment,
    .qbutton:hover,
    .load_more a:hover,
    .call_to_action.elegant .cta_button,
    .call_to_action.elegant .cta_button i,
    .portfolio_gallery a .gallery_text_inner h3,
    .projects_holder.hover_text article h4 a,
    .projects_holder.hover_text article .project_category,
    .projects_holder.hover_text article .portfolio_like a i,
    .projects_holder.hover_text article .portfolio_like a.liked i,
    .projects_holder.hover_text article .portfolio_like a:hover i,
    .projects_holder.hover_text article .portfolio_like span,
    .projects_holder article span.text_holder span span.text_inner,
    .projects_holder article span.text_holder span span.text_inner h5 a,
    .projects_holder article a.lightbox,
    .projects_holder article a.preview,
    .tabs .tabs-nav li.active a,
    .highlight,
    .gallery_holder ul li .gallery_hover i,
    .active_best_price,
    .price_table_inner .price_button a,
    .icon_with_title.boxed .icon_holder .icon-stack i,
    .icon_with_title.circle .icon_holder .icon-stack i,
    .progress_bars_icons_inner .bar i,
    .latest_post_text span.latest_date span,
    .blog_holder article.format-link .post_text:hover .post_infos,
    .blog_holder article.format-link .post_text:hover .post_infos a,
    .blog_holder article.format-link .post_text:hover .post_infos .post_author,
    .blog_holder article.format-link .post_text:hover .post_social .blog_like a i,
    .blog_holder article.format-link .post_text:hover .post_social .blog_like a span,
    .blog_holder article.format-link .post_text:hover h3,
    .blog_holder article.format-link .post_text:hover h3 a,
    .blog_holder article.format-quote .post_text:hover .post_infos,
    .blog_holder article.format-quote .post_text:hover .post_infos a,
    .blog_holder article.format-quote .post_text:hover .post_infos .post_author,
    .blog_holder article.format-quote .post_text:hover .post_social .blog_like a i,
    .blog_holder article.format-quote .post_text:hover .post_social .blog_like a span,
    .blog_holder article.format-quote .post_text:hover h3,
    .blog_holder article.format-quote .post_text:hover h3 a,
    .blog_holder article.format-quote .post_text:hover i.qoute_mark,
    .blog_holder article.format-link .post_text:hover i.link_mark,
    .blog_holder article.format-quote .post_text:hover .quote_author,
    .footer_top .widget.widget_search form input[type="text"],
    .widget .tagcloud a:hover,
    footer,
    .footer_top h3,
    .footer_top a:hover,
    .me-cannotplay a,
    .header_top #lang_sel ul > li a.lang_sel_sel,
    .header_top #lang_sel_click ul > li a.lang_sel_sel,
    .header_top #lang_sel_list ul li a:hover,
    .header_top #lang_sel_list ul li a.lang_sel_other:hover,
    .header_top #lang_sel_list ul li a.lang_sel_sel,
    .header_top #lang_sel_list ul li a.lang_sel_other,
    footer #lang_sel li:hover a.lang_sel_sel,
    footer #lang_sel_click li:hover a.lang_sel_sel,
    footer #lang_sel ul ul a:hover,
    footer #lang_sel_click ul ul a:hover,
    footer #lang_sel_list.lang_sel_list_horizontal a:hover,
    footer #lang_sel_list.lang_sel_list_vertical a:hover,
    #lang_sel_footer a:hover,
    .blog_holder article.format-link .post_text:hover .post_text_holder .social_share_holder .social_share_icon,
    .blog_holder article.format-quote .post_text:hover .post_text_holder .social_share_holder .social_share_icon,
    .image_with_text_over .text p,
    .image_with_text_over .caption,
    .image_with_text_over .subtitle
    {
    color: <?php echo esc_attr($subway_options['third_color']);?>;
    }

    .social_icon_holder .icon-stack:hover i{
    color: <?php echo esc_attr($subway_options['third_color']);?> !important;
    }

    .projects_holder article a.lightbox,
    .projects_holder.hover_text article a.preview{
    border-color: <?php echo esc_attr($subway_options['third_color']);?>;
    }

    <?php if(function_exists("is_woocommerce")){ ?>
        .woocommerce div.message,
        .woocommerce .woocommerce-message,
        .woocommerce .woocommerce-error,
        .woocommerce .woocommerce-info,
        .woocommerce .button,
        .woocommerce-page .button,
        .woocommerce-page input[type="submit"],
        .woocommerce input[type="submit"],
        .woocommerce ul.products li.product .added_to_cart,
        .woocommerce ul.products li.product:hover a.qbutton,
        .woocommerce-page ul.products li.product:hover a.qbutton,
        .woocommerce .product .onsale,
        .woocommerce .product .single-onsale,
        .woocommerce .quantity .minus,
        .woocommerce #content .quantity .minus,
        .woocommerce-page .quantity .minus,
        .woocommerce-page #content .quantity .minus,
        .woocommerce .quantity .plus,
        .woocommerce #content .quantity .plus,
        .woocommerce-page .quantity .plus,
        .woocommerce-page #content .quantity .plus,
        .select2-results .select2-highlighted,
        .shopping_cart_header .header_cart span
        {
        color: <?php echo esc_attr($subway_options['third_color']);?>;
        }

        .woocommerce ul.products li.product a.qbutton.out-of-stock-button,
        .woocommerce ul.products li.product a.button,
        .woocommerce ul.tabs li,
        .woocommerce ul.tabs li.active a,
        .select2-container .select2-choice,
        .select2-drop-mask,
        .select2-drop,
        .select2-search input.select2-active,
        .select2-results .select2-highlighted ul,
        .select2-container-multi .select2-choices
        {
        background-color: <?php echo esc_attr($subway_options['third_color']);?>;
        }

        .select2-container-multi .select2-choices .select2-search-field input.select2-active
        {
        background-color: <?php echo esc_attr($subway_options['third_color']);?> !important;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['fourth_color'])) { ?>
    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    a,
    p a,
    .title h1,
    .icon_list p,
    .progress_bar .progress_number,
    .projects_holder.hover_text.with_mask article .image .image_hover h4 a,
    .price_in_table .value,
    .price_in_table .price,
    .price_in_table .mark,
    .social_icon_holder .icon-stack i,
    .blog_holder.with_info_box article .post_info .date,
    .blog_holder.with_info_box article .post_info .month,
    .blog_holder article .post_infos a,
    .blog_holder article .post_infos .post_author,
    .blog_holder article .post_infos .post_comments,
    .blog_like span,
    .social_share_icon,
    .blog_holder article.format-quote .post_text i.qoute_mark,
    .blog_holder article.format-link .post_text i.link_mark,
    .comment_number_holder .comment_number,
    .widget.widget_rss li a.rsswidget,
    #wp-calendar caption,
    .widget .tagcloud a,
    .mejs-container .mejs-controls .mejs-time,
    .mejs-container .mejs-controls .mejs-time span,
    .mejs-controls .mejs-time-rail .mejs-time-float,
    .header_top #lang_sel ul li ul li a,
    .header_top #lang_sel ul li ul li a:visited,
    .header_top #lang_sel_click ul li ul li a,
    .header_top #lang_sel_click ul li ul li a:visited,
    .tabs.boxed .tabs-nav li.active a,
    .blog_holder article.format-link .post_text:hover .post_text_holder .social_share_holder:hover .social_share_icon,
    .blog_holder article.format-quote .post_text:hover .post_text_holder .social_share_holder:hover .social_share_icon
    {
    color: <?php echo esc_attr($subway_options['fourth_color']);?>;
    }

    <?php if(function_exists("is_woocommerce")){ ?>
        .shopping_cart_dropdown span.total span,
        .woocommerce .amount,
        .woocommerce div.product .summary p.price del,
        .woocommerce div.product .summary p.price del span.amount,
        .woocommerce .quantity input.qty,
        .woocommerce #content .quantity input.qty,
        .woocommerce-page .quantity input.qty,
        .woocommerce-page #content .quantity input.qty,
        .woocommerce div.product div.product_meta > span,
        .woocommerce ul.tabs li a:hover,
        .woocommerce-cart table.cart thead th,
        .woocommerce-checkout .checkout table thead th,
        .woocommerce-account table.my_account_orders thead tr th,
        .woocommerce-page table.my_account_orders thead tr th,
        .woocommerce div.cart-collaterals h2 a,
        .woocommerce .checkout-opener-text,
        .woocommerce #payment ul.payment_methods li label,
        .woocommerce .order_details.clearfix li p,
        .woocommerce-page .order_details.clearfix li p,
        .woocommerce .order_details.clearfix li span.amount,
        .woocommerce-page .order_details.clearfix li span.amount,
        .woocommerce-checkout table.shop_table thead th,
        .woocommerce-checkout table.shop_table tfoot th,
        .woocommerce-account table.shop_table thead th,
        .woocommerce-account table.shop_table tfoot th,
        .woocommerce-account table.my_account_orders thead th,
        .woocommerce-account table.my_account_orders tfoot th,
        .woocommerce-checkout .shop_table.order_details tfoot tr:last-child td span.amount,
        .select2-drop,
        .select2-results .select2-highlighted ul
        {
        color: <?php echo esc_attr($subway_options['fourth_color']);?>;
        }

        .woocommerce .quantity .minus,
        .woocommerce #content .quantity .minus,
        .woocommerce-page .quantity .minus,
        .woocommerce-page #content .quantity .minus,
        .woocommerce .quantity .plus,
        .woocommerce #content .quantity .plus,
        .woocommerce-page .quantity .plus,
        .woocommerce-page #content .quantity .plus
        {
        background-color: <?php echo esc_attr($subway_options['fourth_color']);?>;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['fifth_color'])) { ?>
    .title,
    .call_to_action,
    .tabs .tabs-nav li a,
    .accordion_holder.accordion h5,
    .testimonial_text_inner,
    .testimonial_arrow,
    blockquote,
    .dropcap,
    .message,
    .price_table_inner ul,
    .blog_holder article.format-link .post_text .post_text_holder,
    .blog_holder article.format-quote .post_text .post_text_holder,
    .mejs-mediaelement,
    .blog_holder article.format-link .post_text .post_text_holder .social_share_holder .social_share_icon,
    .blog_holder article.format-quote .post_text .post_text_holder .social_share_holder .social_share_icon,
    aside .widget #lang_sel > ul > li > a,
    aside .widget #lang_sel_click > ul > li > a,
    section.side_menu #lang_sel > ul > li > a,
    section.side_menu #lang_sel_click > ul > li > a,
    footer #lang_sel > ul > li > a,
    footer #lang_sel_click > ul > li > a
    {
    background-color: <?php echo esc_attr($subway_options['fifth_color']);?>;
    }

    aside .widget #lang_sel ul ul a,
    aside .widget #lang_sel_click ul ul a,
    aside .widget #lang_sel ul ul a:visited,
    aside .widget #lang_sel_click ul ul a:visited,
    section.side_menu #lang_sel ul ul a,
    section.side_menu #lang_sel_click ul ul a,
    section.side_menu #lang_sel ul ul a:visited,
    section.side_menu #lang_sel_click ul ul a:visited,
    footer #lang_sel ul ul a,
    footer #lang_sel_click ul ul a,
    footer #lang_sel ul ul a:visited,
    footer #lang_sel_click ul ul a:visited
    {
    background-color: <?php echo esc_attr($subway_options['fifth_color']);?> !important;
    }

    .footer_top a,
    .footer_top p,
    .footer_top span,
    .footer_top li,
    .footer_bottom div
    {
    color: <?php echo esc_attr($subway_options['fifth_color']);?>;
    }

    <?php if(function_exists("is_woocommerce")){ ?>
        .woocommerce .select2-drop,
        .woocommerce-page .select2-drop,
        .woocommerce .chosen-container.chosen-container-single .chosen-single,
        .woocommerce-page .chosen-container.chosen-container-single .chosen-single,
        .woocommerce-checkout .form-row .chosen-container-single .chosen-single,
        .woocommerce-checkout .form-row .chosen-container .chosen-drop,
        .woocommerce .select2-container.orderby .select2-choice,
        .woocommerce-page .select2-container.orderby .select2-choice,
        .woocommerce .select2-dropdown-open.select2-drop-above.orderby .select2-choice,
        .woocommerce .select2-dropdown-open.select2-drop-above.orderby .select2-choices,
        .woocommerce-page .select2-dropdown-open.select2-drop-above.orderby .select2-choice,
        .woocommerce-page .select2-dropdown-open.select2-drop-above.orderby .select2-choices,
        .woocommerce.single-product .woocommerce-message,
        .woocommerce-account .select2-container .select2-choice,
        .woocommerce-account .select2-container .select2-choice,
        .woocommerce div.cart-collaterals .select2-container .select2-choice,
        .woocommerce-page div.cart-collaterals .select2-container .select2-choice,
        .woocommerce div.cart-collaterals .select2-dropdown-open.select2-drop-above .select2-choice,
        .woocommerce div.cart-collaterals .select2-dropdown-open.select2-drop-above .select2-choices,
        .woocommerce-page div.cart-collaterals .select2-dropdown-open.select2-drop-above .select2-choice,
        .woocommerce-page div.cart-collaterals .select2-dropdown-open.select2-drop-above .select2-choices
        {
        background-color: <?php echo esc_attr($subway_options['fifth_color']);?>;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['sixth_color'])) { ?>
    .icon_list i,
    .box_holder_icon_inner.square .icon-stack,
    .icon_with_title.boxed .icon_holder .icon-stack,
    .progress_bars_icons_inner.square .bar.active .bar_noactive,
    .progress_bars_icons_inner.square .bar.active .bar_active,
    .widget.widget_search form input[type="submit"],
    .widget #searchform input[type="submit"]
    {
    border-color: <?php echo esc_attr($subway_options['sixth_color']);?>;
    }
<?php } ?>
<?php if (!empty($subway_options['background_color']) || !empty($subway_options['text_color']) || !empty($subway_options['text_fontsize']) || $subway_options['google_fonts'] != "-1") { ?>
    body,
    .title .breadcrumb {
    <?php if (!empty($subway_options['background_color'])) { ?> background-color:<?php echo esc_attr($subway_options['background_color']);  ?>; <?php } ?>
    <?php if($subway_options['google_fonts'] != "-1"){ ?>
        <?php $font = str_replace('+', ' ', $subway_options['google_fonts']); ?>
        font-family: <?php echo wp_kses_post( $font ); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['text_color'])) { ?> color: <?php echo esc_attr($subway_options['text_color']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['text_fontsize'])) { ?> font-size: <?php echo intval($subway_options['text_fontsize']); ?>px; <?php } ?>
    }
    <?php if (!empty($subway_options['background_color'])) { ?>
        .content{
        background-color:<?php echo esc_attr($subway_options['background_color']);  ?>;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['background_color'])) { ?>
    .wrapper{
    <?php if (!empty($subway_options['background_color'])) { ?> background-color:<?php echo esc_attr($subway_options['background_color']);  ?>; <?php } ?>
    }
<?php } ?>
<?php
$boxed = "no";
if (isset($subway_options['boxed']))
    $boxed = $subway_options['boxed'];
?>
<?php if($boxed == "yes"){ ?>
    body.boxed .wrapper{
    <?php if (!empty($subway_options['background_color_box'])) { ?> background-color:<?php echo esc_attr($subway_options['background_color_box']);  ?>; <?php } ?>

    <?php if($subway_options['pattern_background_image'] != ""){  ?>
        background-image: url('<?php echo esc_attr($subway_options['pattern_background_image']) ?>');
        background-position: 0px 0px;
        background-repeat: repeat;
    <?php } ?>

    <?php if($subway_options['background_image'] != ""){  ?>
        background-image: url('<?php echo esc_attr($subway_options['background_image']) ?>');
        background-attachment: fixed;
        background-position: center 0px;
        background-repeat: no-repeat;
    <?php } ?>
    }
    body.boxed .content{
    <?php if (!empty($subway_options['background_color'])) { ?> background-color:<?php echo esc_attr($subway_options['background_color']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['highlight_color'])) { ?>
    span.highlight {
    background-color: <?php echo esc_attr($subway_options['highlight_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['separator_color'])) { ?>
    header,
    .title{
    border-color: <?php echo esc_attr($subway_options['separator_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['header_bottom_border_color'])) {  ?>
    header,
    .boxed .header_inner,
    .header_top #lang_sel ul ul,
    .header_top #lang_sel_click ul ul,
    aside .widget #lang_sel > ul > li,
    aside .widget #lang_sel_click > ul > li,
    section.side_menu #lang_sel > ul > li,
    section.side_menu #lang_sel_click > ul > li,
    aside .widget #lang_sel ul ul,
    aside .widget #lang_sel_click ul ul,
    section.side_menu #lang_sel ul ul,
    section.side_menu #lang_sel_click ul ul,
    footer #lang_sel ul ul,
    footer #lang_sel_click ul ul{
    border-color: <?php echo esc_attr($subway_options['header_bottom_border_color']);  ?>;
    }
    .header_top #lang_sel > ul > li:hover,
    .header_top #lang_sel_click > ul > li:hover{
    border-color: <?php echo esc_attr($subway_options['header_bottom_border_color']);  ?> !important;
    }

    <?php if(function_exists("is_woocommerce")){ ?>
        .shopping_cart_dropdown ul li,
        .woocommerce .select2-drop-active,
        .woocommerce .select2-drop.select2-drop-above,
        .woocommerce-page .select2-drop-active,
        .woocommerce-page .select2-drop.select2-drop-above
        {
        border-color: <?php echo esc_attr($subway_options['header_bottom_border_color']);?>;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['header_background_color']) || $subway_options['header_background_transparency_initial'] != "") {
    if(!empty($subway_options['header_background_color'])){
        $bg_color = subway_qode_hex2rgb($subway_options['header_background_color']);
    }else{
        $bg_color = subway_qode_hex2rgb('#ffffff');
    }
    if ($subway_options['header_background_transparency_initial'] != "") {
        $bg_color_transparency = $subway_options['header_background_transparency_initial'];
    }else{
        $bg_color_transparency = 1;
    }
    ?>
    .header_bottom{
    background-color: rgba(<?php echo esc_attr($bg_color[0]); ?>,<?php echo esc_attr($bg_color[1]); ?>,<?php echo esc_attr($bg_color[2]); ?>,<?php echo esc_attr( $bg_color_transparency ); ?>);
    }
<?php } ?>
<?php
if (!empty($subway_options['header_background_color_scroll']) || $subway_options['header_background_transparency_scroll'] != "") {

    if(!empty($subway_options['header_background_color_scroll'])){
        $bg_color_scroll = subway_qode_hex2rgb($subway_options['header_background_color_scroll']);
    }else{
        $bg_color_scroll = subway_qode_hex2rgb('#f0f2f2');
    }

    if ($subway_options['header_background_transparency_scroll'] != "") {
        $bg_color_scroll_transparency = $subway_options['header_background_transparency_scroll'];
    }else{
        $bg_color_scroll_transparency = 0.85;
    }
    ?>
    header.scrolled .header_bottom{
    background-color: rgba(<?php echo esc_attr($bg_color_scroll[0]); ?>,<?php echo esc_attr($bg_color_scroll[1]); ?>,<?php echo esc_attr($bg_color_scroll[2]); ?>,<?php echo esc_attr( $bg_color_scroll_transparency ); ?>);
    }
<?php } ?>
<?php if (!empty($subway_options['header_top_background_color']) || $subway_options['header_background_transparency_initial'] != "") {
    if(!empty($subway_options['header_top_background_color'])){
        $bg_color_top = subway_qode_hex2rgb($subway_options['header_top_background_color']);
    }else{
        $bg_color_top = subway_qode_hex2rgb('#1C1C1C');
    }
    if ($subway_options['header_background_transparency_initial'] != "") {
        $bg_color_transparency = $subway_options['header_background_transparency_initial'];
    }else{
        $bg_color_transparency = 1;
    }

    ?>
    .header_top{
    background-color: rgba(<?php echo esc_attr($bg_color_top[0]); ?>,<?php echo esc_attr($bg_color_top[1]); ?>,<?php echo esc_attr($bg_color_top[2]); ?>,<?php echo esc_attr( $bg_color_transparency ); ?>);
    }
<?php } ?>
<?php
if (!empty($subway_options['header_top_background_color']) || $subway_options['header_background_transparency_scroll'] != "") {

    if(!empty($subway_options['header_top_background_color'])){
        $bg_color_scroll_top = subway_qode_hex2rgb($subway_options['header_top_background_color']);
    }else{
        $bg_color_scroll_top = subway_qode_hex2rgb('#1C1C1C');
    }

    if ($subway_options['header_background_transparency_scroll'] != "") {
        $bg_color_scroll_transparency = $subway_options['header_background_transparency_scroll'];
    }else{
        $bg_color_scroll_transparency = 0.85;
    }
    ?>
    header.scrolled .header_top{
    background-color: rgba(<?php echo esc_attr($bg_color_scroll_top[0]); ?>,<?php echo esc_attr($bg_color_scroll_top[1]); ?>,<?php echo esc_attr($bg_color_scroll_top[2]); ?>,<?php echo esc_attr( $bg_color_scroll_transparency ); ?>);
    }
<?php } ?>

<?php
$display_header_top = "yes";
if(isset($subway_options['header_top_area'])){
    $display_header_top = $subway_options['header_top_area'];
}
if (!empty($_SESSION['qode_header_top'])){
    $display_header_top = $_SESSION['qode_header_top'];
}

if($display_header_top == "no"){
    $margin_top_add = 0;
    ?>
    .content{
    margin-top: 60px;
    }
    <?php
}else{
    $margin_top_add = 30;
    ?>
    .content{
    margin-top: 90px;
    }
    <?php
}
?>


<?php if (!empty($subway_options['header_height'])) { ?>
    .logo_wrapper,
    .side_menu_button
    {
    height: <?php echo intval($subway_options['header_height']);  ?>px;
    }

    .content{
    margin-top: <?php echo (intval( $subway_options['header_height'] ) + intval( $margin_top_add ));  ?>px;
    }
    .drop_down .second{
    top: <?php echo intval($subway_options['header_height']);  ?>px;
    }
<?php } ?>
<?php if ($subway_options['header_background_transparency_initial'] != "") {?>
    .content{
    margin-top: 0px !important;
    }
    .title .title_holder .container{
    vertical-align: bottom;
    padding: 0px 0px 20px 0px;
    }
<?php } ?>
<?php
$parallax_onoff = "on";
if (isset($subway_options['parallax_onoff']))
    $parallax_onoff = $subway_options['parallax_onoff'];
if ($parallax_onoff == "off"){
    ?>
    .touch .parallax section{
    height: auto !important;
    min-height: 300px;
    background-position: center top !important;
    background-attachment: scroll;
    }

    .touch	.parallax section.no_background{
    padding: 0px;
    }
<?php } ?>
<?php if (!empty($subway_options['header_height'])) { ?>
    nav.main_menu > ul > li > a{
    line-height: <?php echo intval($subway_options['header_height']);  ?>px;
    }
<?php } ?>
<?php if (!empty($subway_options['dropdown_background_color'])) { ?>
    nav.main_menu > ul > li:hover > a,
    .drop_down .second .inner,
    .drop_down .second .inner ul li ul{
    background-color:<?php echo esc_attr($subway_options['dropdown_background_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['dropdown_separator_color'])) { ?>
    .drop_down .wide .second ul li{
    border-color:<?php echo esc_attr($subway_options['dropdown_separator_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['menu_color']) || !empty($subway_options['menu_fontsize']) || !empty($subway_options['menu_fontstyle']) || !empty($subway_options['menu_fontweight']) || !empty($subway_options['menu_letter_spacing']) || $subway_options['menu_google_fonts'] != "-1") { ?>
    nav.main_menu > ul > li > a{
    <?php if (!empty($subway_options['menu_color'])) { ?> color: <?php echo esc_attr($subway_options['menu_color']);  ?>; <?php } ?>
    <?php if($subway_options['menu_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['menu_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['menu_fontsize'])) { ?> font-size: <?php echo intval($subway_options['menu_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['menu_fontstyle'])) { ?> font-style: <?php echo esc_attr($subway_options['menu_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['menu_fontweight'])) { ?> font-weight: <?php echo esc_attr($subway_options['menu_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['menu_hovercolor'])) { ?>
    nav.main_menu ul li:hover a,
    nav.main_menu ul li.active a{
    color: <?php echo esc_attr($subway_options['menu_hovercolor']);  ?>;
    }
<?php } ?>
<?php if(!empty($subway_options['dropdown_color']) || !empty($subway_options['dropdown_fontsize']) || !empty($subway_options['dropdown_lineheight']) || !empty($subway_options['dropdown_fontstyle']) || !empty($subway_options['dropdown_fontweight']) || $subway_options['dropdown_google_fonts'] != "-1"){ ?>
    .drop_down .second .inner > ul > li > a,
    .drop_down .second .inner > ul > li > h3,
    .drop_down .wide .second .inner > ul > li > h3,
    .drop_down .wide .second .inner > ul li.sub .flexslider ul li  h5 a,
    .drop_down .wide .second .inner > ul li .flexslider ul li  h5 a,
    .drop_down .wide .second .inner > ul li.sub .flexslider ul li  h5,
    .drop_down .wide .second .inner > ul li .flexslider ul li  h5{
    <?php if (!empty($subway_options['dropdown_color'])) { ?> color: <?php echo esc_attr($subway_options['dropdown_color']); ?>; <?php } ?>
    <?php if($subway_options['dropdown_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['dropdown_google_fonts']) ?>, sans-serif !important;
    <?php } ?>
    <?php if (!empty($subway_options['dropdown_fontsize'])) { ?> font-size: <?php echo intval($subway_options['dropdown_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['dropdown_lineheight'])) { ?> line-height: <?php echo intval($subway_options['dropdown_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['dropdown_fontstyle'])) { ?> font-style: <?php echo esc_attr($subway_options['dropdown_fontstyle']);  ?>;  <?php } ?>
    <?php if (!empty($subway_options['dropdown_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['dropdown_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['dropdown_hovercolor'])) { ?>
    .drop_down .second .inner ul > li:hover > a{
    color: <?php echo esc_attr($subway_options['dropdown_hovercolor']);  ?> !important;
    }
<?php } ?>
<?php if(!empty($subway_options['dropdown_color_thirdlvl']) || !empty($subway_options['dropdown_fontsize_thirdlvl']) || !empty($subway_options['dropdown_lineheight_thirdlvl']) || !empty($subway_options['dropdown_fontstyle_thirdlvl']) || !empty($subway_options['dropdown_fontweight_thirdlvl']) || $subway_options['dropdown_google_fonts_thirdlvl'] != "-1"){ ?>
    .drop_down .wide .second .inner ul li.sub ul li a,
    .drop_down .wide .second ul li ul li a,
    .drop_down .second .inner ul li.sub ul li a,
    .drop_down .wide .second ul li ul li a,
    .drop_down .wide .second .inner ul li.sub .flexslider ul li .menu_recent_post,
    .drop_down .wide .second .inner ul li .flexslider ul li .menu_recent_post a,
    .drop_down .wide .second .inner ul li .flexslider ul li .menu_recent_post,
    .drop_down .wide .second .inner ul li .flexslider ul li .menu_recent_post a{
    <?php if (!empty($subway_options['dropdown_color_thirdlvl'])) { ?> color: <?php echo esc_attr($subway_options['dropdown_color_thirdlvl']);  ?> !important;  <?php } ?>
    <?php if($subway_options['dropdown_google_fonts_thirdlvl'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['dropdown_google_fonts_thirdlvl']) ?>, sans-serif !important;
    <?php } ?>
    <?php if (!empty($subway_options['dropdown_fontsize_thirdlvl'])) { ?> font-size: <?php echo intval($subway_options['dropdown_fontsize_thirdlvl']);  ?>px !important;  <?php } ?>
    <?php if (!empty($subway_options['dropdown_lineheight_thirdlvl'])) { ?> line-height: <?php echo intval($subway_options['dropdown_lineheight_thirdlvl']);  ?>px !important;  <?php } ?>
    <?php if (!empty($subway_options['dropdown_fontstyle_thirdlvl'])) { ?> font-style: <?php echo esc_attr($subway_options['dropdown_fontstyle_thirdlvl']);  ?> !important;   <?php } ?>
    <?php if (!empty($subway_options['dropdown_fontweight_thirdlvl'])) { ?> font-weight: <?php echo esc_attr($subway_options['dropdown_fontweight_thirdlvl']);  ?> !important;  <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['dropdown_hovercolor_thirdlvl'])) { ?>
    .drop_down .second .inner ul li.sub ul li:hover a,
    .drop_down .second .inner ul li ul li:hover a{
    color: <?php echo esc_attr($subway_options['dropdown_hovercolor_thirdlvl']);  ?> !important;
    }
<?php } ?>
<?php if (!empty($subway_options['mobile_color']) || !empty($subway_options['mobile_fontsize']) || !empty($subway_options['mobile_lineheight']) || !empty($subway_options['mobile_fontstyle']) || !empty($subway_options['mobile_fontweight']) || !empty($subway_options['mobile_letter_spacing']) || $subway_options['mobile_google_fonts'] != "-1") { ?>
    nav.mobile_menu ul li a,
    nav.mobile_menu ul li h5{
    <?php if (!empty($subway_options['mobile_color'])) { ?> color: <?php echo esc_attr($subway_options['mobile_color']);  ?>; <?php } ?>
    <?php if($subway_options['mobile_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['mobile_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['mobile_fontsize'])) { ?> font-size: <?php echo intval($subway_options['mobile_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['mobile_lineheight'])) { ?> line-height: <?php echo intval($subway_options['mobile_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['mobile_fontstyle'])) { ?> font-style: <?php echo esc_attr($subway_options['mobile_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['mobile_fontweight'])) { ?> font-weight: <?php echo esc_attr($subway_options['mobile_fontweight']);  ?>; <?php } ?>
    <?php if(!empty($subway_options['mobile_letter_spacing'])){ ?>
        letter-spacing: <?php echo intval($subway_options['mobile_letter_spacing']);  ?>px;
    <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['mobile_hovercolor'])) { ?>
    nav.mobile_menu ul li a:hover,
    nav.mobile_menu ul li.active > a,
    nav.mobile_menu ul li.current-menu-item > a{
    color: <?php echo esc_attr($subway_options['mobile_hovercolor']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['mobile_separator_color'])) { ?>
    nav.mobile_menu ul li a,
    nav.mobile_menu ul li h3,
    nav.mobile_menu ul li ul li a,
    nav.mobile_menu ul li.open_sub > a:first-child{
    border-color: <?php echo esc_attr($subway_options['mobile_separator_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['smooth_background_color'])) { ?>
    #ascrail2000{
    background-color: <?php echo esc_attr($subway_options['smooth_background_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['smooth_bar_color'])) {
    ?>
    #ascrail2000 div{
    background-color: <?php echo esc_attr($subway_options['smooth_bar_color']);  ?> !important;
    }
<?php } ?>
<?php if (!empty($subway_options['h1_color']) || !empty($subway_options['h1_fontsize']) || !empty($subway_options['h1_lineheight']) || !empty($subway_options['h1_fontstyle']) || !empty($subway_options['h1_fontweight']) || $subway_options['h1_google_fonts'] != "-1") { ?>
    h1{
    <?php if (!empty($subway_options['h1_color'])) { ?>	color: <?php echo esc_attr($subway_options['h1_color']);  ?>; <?php } ?>
    <?php if($subway_options['h1_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['h1_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['h1_fontsize'])) { ?>font-size: <?php echo intval($subway_options['h1_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h1_lineheight'])) { ?>line-height: <?php echo intval($subway_options['h1_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h1_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['h1_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['h1_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['h1_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['page_title_color']) || !empty($subway_options['page_title_fontsize']) || !empty($subway_options['page_title_lineheight']) || !empty($subway_options['page_title_fontstyle']) || !empty($subway_options['page_title_fontweight']) || $subway_options['page_title_position'] != "0" || $subway_options['page_title_google_fonts'] != "-1") { ?>
    .title h1{
    <?php if (!empty($subway_options['page_title_color'])) { ?>color: <?php echo esc_attr($subway_options['page_title_color']);  ?>; <?php } ?>
    <?php if($subway_options['page_title_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['page_title_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['page_title_fontsize'])) { ?>font-size: <?php echo intval($subway_options['page_title_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['page_title_lineheight'])) { ?>line-height: <?php echo intval($subway_options['page_title_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['page_title_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['page_title_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['page_title_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['page_title_fontweight']);  ?>; <?php } ?>
    <?php if($subway_options['page_title_position'] != "0"){ ?>
        text-align: <?php if($subway_options['page_title_position'] == "1"){echo "left";} if($subway_options['page_title_position'] == "2"){echo "center";} if($subway_options['page_title_position'] == "3"){echo "right";}  ?>;
    <?php } ?>
    }
    <?php if($subway_options['page_title_position'] != "0"){ ?>
        .title .breadcrumb{
        text-align: <?php if($subway_options['page_title_position'] == "1"){echo "left";} if($subway_options['page_title_position'] == "2"){echo "center";} if($subway_options['page_title_position'] == "3"){echo "right";}  ?>;
        }
    <?php } ?>
<?php } ?>
<?php if (!empty($subway_options['h2_color']) || !empty($subway_options['h2_fontsize']) || !empty($subway_options['h2_lineheight']) || !empty($subway_options['h2_fontstyle']) || !empty($subway_options['h2_fontweight']) || $subway_options['h2_google_fonts'] != "-1") { ?>
    h2,
    h2 a{
    <?php if (!empty($subway_options['h2_color'])) { ?>color: <?php echo esc_attr($subway_options['h2_color']);  ?>; <?php } ?>
    <?php if($subway_options['h2_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['h2_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['h2_fontsize'])) { ?>font-size: <?php echo intval($subway_options['h2_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h2_lineheight'])) { ?>line-height: <?php echo intval($subway_options['h2_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h2_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['h2_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['h2_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['h2_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['h3_color']) || !empty($subway_options['h3_fontsize']) || !empty($subway_options['h3_lineheight']) || !empty($subway_options['h3_fontstyle']) || !empty($subway_options['h3_fontweight']) || $subway_options['h3_google_fonts'] != "-1") { ?>
    h3,h3 a{
    <?php if (!empty($subway_options['h3_color'])) { ?>color: <?php echo esc_attr($subway_options['h3_color']);  ?>; <?php } ?>
    <?php if($subway_options['h3_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['h3_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['h3_fontsize'])) { ?>font-size: <?php echo intval($subway_options['h3_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h3_lineheight'])) { ?>line-height: <?php echo intval($subway_options['h3_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h3_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['h3_fontstyle']);?>; <?php } ?>
    <?php if (!empty($subway_options['h3_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['h3_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['h4_color']) || !empty($subway_options['h4_fontsize']) || !empty($subway_options['h4_lineheight']) || !empty($subway_options['h4_fontstyle']) || !empty($subway_options['h4_fontweight']) || $subway_options['h4_google_fonts'] != "-1") { ?>
    h4,
    h4 a{
    <?php if (!empty($subway_options['h4_color'])) { ?>color: <?php echo esc_attr($subway_options['h4_color']);  ?>; <?php } ?>
    <?php if($subway_options['h4_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['h4_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['h4_fontsize'])) { ?>font-size: <?php echo intval($subway_options['h4_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h4_lineheight'])) { ?>line-height: <?php echo intval($subway_options['h4_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h4_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['h4_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['h4_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['h4_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['h5_color']) || !empty($subway_options['h5_fontsize']) || !empty($subway_options['h5_lineheight']) || !empty($subway_options['h5_fontstyle']) || !empty($subway_options['h5_fontweight']) || $subway_options['h5_google_fonts'] != "-1") { ?>
    h5,
    h5 a{
    <?php if (!empty($subway_options['h5_color'])) { ?>color: <?php echo esc_attr($subway_options['h5_color']);  ?>; <?php } ?>
    <?php if($subway_options['h5_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['h5_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['h5_fontsize'])) { ?>font-size: <?php echo intval($subway_options['h5_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h5_lineheight'])) { ?>line-height: <?php echo intval($subway_options['h5_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h5_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['h5_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['h5_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['h5_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['h6_color']) || !empty($subway_options['h6_fontsize']) || !empty($subway_options['h6_lineheight']) || !empty($subway_options['h6_fontstyle']) || !empty($subway_options['h6_fontweight']) || $subway_options['h6_google_fonts'] != "-1") { ?>
    h6{
    <?php if (!empty($subway_options['h6_color'])) { ?>color: <?php echo esc_attr($subway_options['h6_color']);  ?>; <?php } ?>
    <?php if($subway_options['h6_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['h6_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['h6_fontsize'])) { ?>font-size: <?php echo intval($subway_options['h6_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h6_lineheight'])) { ?>line-height: <?php echo intval($subway_options['h6_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['h6_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['h6_fontstyle']);  ?>;  <?php } ?>
    <?php if (!empty($subway_options['h6_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['h6_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['text_color']) || !empty($subway_options['text_fontsize']) || !empty($subway_options['text_lineheight']) || !empty($subway_options['text_fontstyle']) || !empty($subway_options['text_fontweight']) || $subway_options['text_google_fonts'] != "-1" || !empty($subway_options['text_margin'])) { ?>
    p{
    <?php if (!empty($subway_options['text_color'])) { ?>color: <?php echo esc_attr($subway_options['text_color']);  ?>;<?php } ?>
    <?php if($subway_options['text_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['text_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['text_fontsize'])) { ?>font-size: <?php echo intval($subway_options['text_fontsize']);  ?>px;<?php } ?>
    <?php if (!empty($subway_options['text_lineheight'])) { ?>line-height: <?php echo intval($subway_options['text_lineheight']);  ?>px;<?php } ?>
    <?php if (!empty($subway_options['text_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['text_fontstyle']);  ?>;<?php } ?>
    <?php if (!empty($subway_options['text_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['text_fontweight']);  ?>;<?php } ?>
    <?php if (!empty($subway_options['text_margin'])) { ?>margin-top: <?php echo intval($subway_options['text_margin']);  ?>px;<?php } ?>
    <?php if (!empty($subway_options['text_margin'])) { ?>margin-bottom: <?php echo intval($subway_options['text_margin']);  ?>px;<?php } ?>
    }
    .portfolio_navigation .portfolio_button a,
    .portfolio_navigation .portfolio_prev a,
    .portfolio_navigation .portfolio_next a,
    .ordered ol li,
    .single_links_pages a span,
    .pagination ul li a,
    .pagination ul li.next a i,
    .pagination ul li.prev a i,
    .pagination ul li.last a i,
    .pagination ul li.first a i,
    #wp-calendar th,
    #wp-calendar td,
    .widget.widget_archive select,
    .widget.widget_categories select,
    .widget.widget_text select,
    .widget.widget_search form input[type="text"],
    .shopping_cart_dropdown ul li a
    {
    <?php if (!empty($subway_options['text_color'])) { ?>color: <?php echo esc_attr($subway_options['text_color']);  ?>;<?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['link_color']) || !empty($subway_options['link_fontstyle']) || !empty($subway_options['link_fontweight']) || !empty($subway_options['link_fontdecoration'])) { ?>
    a, p a{
    <?php if (!empty($subway_options['link_color'])) { ?>color: <?php echo esc_attr($subway_options['link_color']);  ?>;<?php } ?>
    <?php if (!empty($subway_options['link_fontstyle'])) { ?>font-style: <?php echo esc_attr($subway_options['link_fontstyle']);  ?>;<?php } ?>
    <?php if (!empty($subway_options['link_fontweight'])) { ?>font-weight: <?php echo esc_attr($subway_options['link_fontweight']);  ?>;<?php } ?>
    <?php if (!empty($subway_options['link_fontdecoration'])) { ?>text-decoration: <?php echo esc_attr($subway_options['link_fontdecoration']);  ?>;<?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['link_hovercolor']) || !empty($subway_options['link_fontdecoration'])) { ?>
    a:hover,
    p a:hover{
    <?php if (!empty($subway_options['link_hovercolor'])) { ?>color: <?php echo esc_attr($subway_options['link_hovercolor']);  ?>;<?php } ?>
    <?php if (!empty($subway_options['link_fontdecoration'])) { ?>text-decoration: <?php echo esc_attr($subway_options['link_fontdecoration']);  ?>;<?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['blockquote_font_color'])) { ?>
    blockquote h5{
    color: <?php echo esc_attr($subway_options['blockquote_font_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['separator_thickness']) || !empty($subway_options['separator_topmargin']) || !empty($subway_options['separator_bottommargin']) || !empty($subway_options['separator_color'])) { ?>
    .separator{
    <?php if (!empty($subway_options['separator_thickness'])) { ?>	height: <?php echo intval($subway_options['separator_thickness']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['separator_topmargin'])) { ?>	margin-top: <?php echo intval($subway_options['separator_topmargin']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['separator_bottommargin'])) { ?>	margin-bottom: <?php echo intval($subway_options['separator_bottommargin']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['separator_color'])) { ?>	background-color: <?php echo esc_attr($subway_options['separator_color']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['separator_color'])) { ?>
    .blog_holder article,
    .author_description,
    aside .widget,
    section.section	{
    border-color:<?php echo esc_attr($subway_options['separator_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['message_backgroundcolor']) || (isset($subway_options['message_bordercolor']) && !empty($subway_options['message_bordercolor']))) { ?>
    .message{
    <?php if (!empty($subway_options['message_backgroundcolor'])) { ?>background-color: <?php echo esc_attr($subway_options['message_backgroundcolor']);  ?><?php } ?>;
    <?php if (isset($subway_options['message_bordercolor']) && !empty($subway_options['message_bordercolor'])) { ?>border-color: <?php echo esc_attr($subway_options['message_bordercolor']);  ?> <?php } ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['message_title_color']) || !empty($subway_options['message_title_fontsize']) || !empty($subway_options['message_title_lineheight']) || !empty($subway_options['message_title_fontstyle']) || !empty($subway_options['message_title_fontweight']) || $subway_options['message_title_google_fonts'] != "-1") { ?>
    .message .message_text{
    <?php if (!empty($subway_options['message_title_color'])) { ?>	color: <?php echo esc_attr($subway_options['message_title_color']);  ?>; <?php } ?>
    <?php if($subway_options['message_title_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['message_title_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['message_title_fontsize'])) { ?>	font-size: <?php echo intval($subway_options['message_title_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['message_title_lineheight'])) { ?>	line-height: <?php echo intval($subway_options['message_title_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['message_title_fontstyle'])) { ?>	font-style: <?php echo esc_attr($subway_options['message_title_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['message_title_fontweight'])) { ?>	font-weight: <?php echo esc_attr($subway_options['message_title_fontweight']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['message_icon_fontsize']) && !empty($subway_options['message_icon_color'])) { ?>
    .message.with_icon > i {
    <?php if (!empty($subway_options['message_icon_color'])) { ?> color:  <?php echo esc_attr($subway_options['message_icon_color']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['message_icon_fontsize'])) { ?> font-size: <?php echo intval($subway_options['message_icon_fontsize']);  ?>px; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['social_icon_backgroundcolor'])) { ?>
    .social_icon_holder .icon-stack i.icon-circle{
    color: <?php echo esc_attr($subway_options['social_icon_backgroundcolor']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['button_title_color']) || !empty($subway_options['button_title_fontsize']) || !empty($subway_options['button_title_lineheight']) || !empty($subway_options['button_title_fontstyle']) || !empty($subway_options['button_title_fontweight']) || !empty($subway_options['button_backgroundcolor']) || $subway_options['button_title_google_fonts'] != "-1") { ?>
    .qbutton, #submit_comment, .load_more a{
    <?php if (!empty($subway_options['button_title_color'])) { ?>	color: <?php echo esc_attr($subway_options['button_title_color']);  ?>; <?php } ?>
    <?php if($subway_options['button_title_google_fonts'] != "-1"){ ?>
        font-family: <?php echo str_replace('+', ' ', $subway_options['button_title_google_fonts']); ?>, sans-serif;
    <?php } ?>
    <?php if (!empty($subway_options['button_title_fontsize'])) { ?>	font-size: <?php echo intval($subway_options['button_title_fontsize']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['button_title_lineheight'])) { ?>	line-height: <?php echo intval($subway_options['button_title_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['button_title_lineheight'])) { ?>	height: <?php echo intval($subway_options['button_title_lineheight']);  ?>px; <?php } ?>
    <?php if (!empty($subway_options['button_title_fontstyle'])) { ?>	font-style: <?php echo esc_attr($subway_options['button_title_fontstyle']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['button_title_fontweight'])) { ?>	font-weight: <?php echo esc_attr($subway_options['button_title_fontweight']);  ?>; <?php } ?>
    <?php if (!empty($subway_options['button_backgroundcolor'])) { ?>	background-color: <?php echo esc_attr($subway_options['button_backgroundcolor']);  ?>; <?php } ?>
    }
<?php } ?>
<?php if (!empty($subway_options['button_title_hovercolor']) || (isset($subway_options['button_backgroundhovercolor']) && !empty($subway_options['button_backgroundhovercolor']))) { ?>
    .qbutton:hover,
    #submit_comment:hover,
    .load_more a:hover{
    <?php if (!empty($subway_options['button_title_hovercolor'])) { ?> color: <?php echo esc_attr($subway_options['button_title_hovercolor']);?> !important; <?php } ?>
    }
<?php } ?>
<?php
if(isset($subway_options['google_maps_height'])){
    if (intval($subway_options['google_maps_height']) > 0) {
        ?>
        .google_map{
        height: <?php echo intval($subway_options['google_maps_height']); ?>px;
        }
        <?php
    }
}
?>
<?php if (!empty($subway_options['footer_top_background_color'])) { ?>
    .footer_top_holder,	footer #lang_sel > ul > li > a,	footer #lang_sel_click > ul > li > a{
    background-color: <?php echo esc_attr($subway_options['footer_top_background_color']); ?>;
    }
    footer #lang_sel ul ul a,footer #lang_sel_click ul ul a,footer #lang_sel ul ul a:visited,footer #lang_sel_click ul ul a:visited{
    background-color: <?php echo esc_attr($subway_options['footer_top_background_color']); ?> !important;
    }
<?php } ?>
<?php if (!empty($subway_options['footer_top_title_color'])) { ?>
    .footer_top .column_inner > div h3 {
    color:<?php echo esc_attr($subway_options['footer_top_title_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['footer_top_text_color'])) { ?>
    footer,
    .footer_top,
    .footer_top p,
    .footer_top ul li a
    {
    color: <?php echo esc_attr($subway_options['footer_top_text_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['footer_bottom_background_color'])) { ?>
    .footer_bottom_holder, #lang_sel_footer{
    background-color:<?php echo esc_attr($subway_options['footer_bottom_background_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['footer_bottom_text_color'])) { ?>
    .footer_bottom, .footer_bottom p, .footer_bottom p a, #lang_sel_footer ul li a,
    footer #lang_sel > ul > li > a,
    footer #lang_sel_click > ul > li > a,
    footer #lang_sel a.lang_sel_sel,
    footer #lang_sel_click a.lang_sel_sel,
    footer #lang_sel ul ul a,
    footer #lang_sel_click ul ul a,
    footer #lang_sel ul ul a:visited,
    footer #lang_sel_click ul ul a:visited,
    footer #lang_sel_list.lang_sel_list_horizontal a,
    footer #lang_sel_list.lang_sel_list_vertical a,
    #lang_sel_footer a{
    color:<?php echo esc_attr($subway_options['footer_bottom_text_color']);  ?>;
    }
<?php } ?>
<?php if (!empty($subway_options['footer_separator_color'])) { ?>
    .footer_top .four_columns .column_inner,
    footer #lang_sel > ul > li > a,
    footer #lang_sel_click > ul > li > a,
    footer #lang_sel > ul > li,
    footer #lang_sel_click > ul > li,
    footer #lang_sel ul ul,
    footer #lang_sel_click ul ul{
    border-color:<?php echo esc_attr($subway_options['footer_separator_color']);  ?>;
    }
<?php } ?>
<?php if (isset($subway_options['side_area_background_color']) && !empty($subway_options['side_area_background_color'])) { ?>
    .side_menu,
    .side_menu #lang_sel,
    .side_menu #lang_sel_click,
    .side_menu #lang_sel ul ul,
    .side_menu #lang_sel_click ul ul{
    background-color:<?php echo esc_attr($subway_options['side_area_background_color']);  ?>;
    }
<?php } ?>
<?php if (isset($subway_options['side_area_text_color']) && !empty($subway_options['side_area_text_color'])) { ?>
    .side_menu .widget.widget_search form,
    .side_menu .widget.widget_search form input[type="text"],
    .side_menu .widget.widget_search form input[type="submit"],
    .side_menu .widget h4,
    .side_menu .widget h4 a,
    .side_menu .widget p,
    .side_menu .widget li a,
    .side_menu .widget.widget_rss li a.rsswidget,
    .side_menu #wp-calendar caption,
    .side_menu .widget li,
    .side_menu_title h5,
    .side_menu #lang_sel_list ul li a,
    .side_menu #lang_sel_list ul li a:visited,
    .side_menu #lang_sel_list ul li a:hover,
    .side_menu #lang_sel_list a.lang_sel_sel:hover,
    .side_menu #lang_sel_list ul li a.lang_sel_sel,
    .side_menu #lang_sel a.lang_sel_sel,
    .side_menu #lang_sel_click a.lang_sel_sel,
    .side_menu #lang_sel ul li ul li a,
    .side_menu #lang_sel_click ul li ul li a,
    .side_menu #lang_sel ul li ul li a:visited,
    .side_menu #lang_sel_click ul li ul li a:visited{
    color:<?php echo esc_attr($subway_options['side_area_text_color']);  ?>;
    }

    .side_menu .widget.widget_archive select,
    .side_menu .widget.widget_categories select,
    .side_menu .widget.widget_text select,
    .side_menu .widget.widget_search form input[type="submit"],
    .side_menu #wp-calendar th,
    .side_menu #wp-calendar td,
    .side_menu .widget .tagcloud a{
    background-color: <?php echo esc_attr($subway_options['side_area_text_color']);  ?>;
    }

    .side_menu .widget.widget_search form,
    .side_menu #lang_sel,
    .side_menu #lang_sel_click,
    .side_menu #lang_sel ul ul,
    .side_menu #lang_sel_click ul ul{
    border-color: <?php echo esc_attr($subway_options['side_area_text_color']);  ?>;
    }
<?php } ?>
<?php if (isset($subway_options['side_area_border_color']) && !empty($subway_options['side_area_border_color'])) { ?>
    .side_menu{
    border-color: <?php echo esc_attr($subway_options['side_area_border_color']);  ?>;
    }
<?php } ?>