<?php
$root = dirname(dirname(dirname(dirname(dirname(__FILE__)))));
if ( file_exists( $root.'/wp-load.php' ) ) {
    require_once( $root.'/wp-load.php' );
} elseif ( file_exists( $root.'/wp-config.php' ) ) {
    require_once( $root.'/wp-config.php' );
}
header("Content-type: text/css; charset=utf-8");
$subway_options = subway_qode_return_global_options();
?>
@media only screen and (max-width: 1060px){
<?php if (!empty($subway_options['header_background_color'])) { ?>
    .header_bottom {
    background-color: <?php echo esc_attr( $subway_options['header_background_color'] );  ?>;
    }
<?php } ?>
}
@media only screen and (min-width: 480px) and (max-width: 768px){

<?php if (isset($subway_options['parallax_minheight']) && !empty($subway_options['parallax_minheight'])) { ?>
    .parallax section{
    height: auto !important;
    min-height: <?php echo intval( $subway_options['parallax_minheight'] ); ?>px;
    }
<?php } ?>

<?php if (isset($subway_options['header_background_color_mobile']) &&  !empty($subway_options['header_background_color_mobile'])) { ?>
    header
    {
    background-color: <?php echo wp_kses_post( $subway_options['header_background_color_mobile'] );  ?> !important;
    background-image:none;
    }
<?php } ?>
}

@media only screen and (max-width: 480px){

<?php if (isset($subway_options['parallax_minheight']) && !empty($subway_options['parallax_minheight'])) { ?>
    .parallax section{
    height: auto !important;
    min-height: <?php echo intval( $subway_options['parallax_minheight'] ); ?>px;
    }
<?php } ?>


<?php if (isset($subway_options['header_background_color_mobile']) &&  !empty($subway_options['header_background_color_mobile'])) { ?>
    header
    {
    background-color: <?php echo wp_kses_post( $subway_options['header_background_color_mobile'] );  ?> !important;
    background-image:none;
    }
<?php } ?>
}