<?php
$subway_options = subway_qode_return_global_options();

$header_in_grid = true;
if(isset($subway_options['header_in_grid'])){
    if ($subway_options['header_in_grid'] == "no") {
        $header_in_grid = false;
    }
}

$menu_in_center = false;
if(isset($subway_options['menu_in_center'])){
    if ($subway_options['menu_in_center'] == "yes") {
        $menu_in_center = true;
    }
}

$centered_logo = false;
if (isset($subway_options['center_logo_image'])){
    if($subway_options['center_logo_image'] == "yes") {
        $centered_logo = true;
    }
};

$display_header_top = "yes";
if(isset($subway_options['header_top_area'])){
    $display_header_top = $subway_options['header_top_area'];
}
if (!empty($_SESSION['qode_header_top'])){
    $display_header_top = $_SESSION['qode_header_top'];
}

$header_top_area_scroll = "no";
if(isset($subway_options['header_top_area_scroll']))
    $header_top_area_scroll = $subway_options['header_top_area_scroll'];

if (!empty($_SESSION['qode_header_top'])) {
    if ($_SESSION['qode_header_top'] == "no")
        $header_top_area_scroll = "no";
    if ($_SESSION['qode_header_top'] == "yes")
        $header_top_area_scroll = "yes";
}

$enable_side_area  = "yes";

if ( isset( $subway_options['enable_side_area'] ) && $subway_options['enable_side_area'] == "no" ) {
    $enable_side_area = "no";
}

?>

<header class="<?php if($display_header_top == "yes"){ echo 'has_top'; } if($header_top_area_scroll == "yes"){ echo ' scroll_top'; }?> <?php if($centered_logo){ echo " centered_logo"; } ?>">
	<div class="header_inner clearfix">

	<?php if($display_header_top == "yes"){ ?>
    <div class="header_top clearfix">
        <?php if($header_in_grid){ ?>
        <div class="container">
            <div class="container_inner clearfix">
                <?php } ?>
                <div class="left">
                    <div class="inner">
                        <?php
                        dynamic_sidebar('header_left');
                        ?>
                    </div>
                </div>
                <div class="right">
                    <div class="inner">
                        <?php
                        dynamic_sidebar('header_right');
                        ?>
                    </div>
                </div>
                <?php if($header_in_grid){ ?>
            </div>
        </div>
    <?php } ?>
    </div>
<?php } ?>
<div class="header_bottom clearfix">
    <?php if($header_in_grid){ ?>
    <div class="container">
        <div class="container_inner clearfix">
            <?php } ?>
            <div class="header_inner_left">
				<?php if ( has_nav_menu( 'top-navigation' ) ) { ?>
                 <div class="mobile_menu_button"><span>&nbsp;</span></div>
				<?php } ?>
                <div class="logo_wrapper">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/')); ?>/">
                            <img src="<?php echo esc_url( $subway_options['logo_image'] ); ?>" alt="<?php esc_html__('Logo','subway'); ?>" />
                        </a>
                    </div>
                </div>
            </div>
            <?php if($enable_side_area != "no" && !$centered_logo ) { ?>
                <div class="header_inner_right">
                    <div class="side_menu_button_wrapper right"><div class="side_menu_button">
		                    <?php if(is_active_sidebar( 'sidearea' )) { ?>
		                        <a href="#"></a>
							<?php } ?>
	                 </div></div>
                </div>
            <?php } ?>
            <nav class="main_menu drop_down <?php if(!$menu_in_center){ echo 'right';} ?>">
                <?php

                wp_nav_menu( array( 'theme_location' => 'top-navigation' ,
                    'container'  => '',
                    'container_class' => '',
                    'menu_class' => '',
                    'menu_id' => '',
                    'fallback_cb' => 'subway_qode_top_navigation_fallback',
                    'link_before' => '<span>',
                    'link_after' => '</span>',
                    'walker' => new SubwayQodeType1WalkerNavMenu()
                ));
                ?>
            </nav>
            <?php if($enable_side_area != "no" && $centered_logo && is_active_sidebar( 'sidearea' )) { ?>
                <div class="header_inner_right">
                    <div class="side_menu_button_wrapper right"><div class="side_menu_button">
						<?php if(is_active_sidebar( 'sidearea' )) { ?>
		                    <a href="#"></a>
						<?php } ?>
	                 </div></div>
                </div>
            <?php } ?>
            <nav class="mobile_menu">
                <?php
                wp_nav_menu( array( 'theme_location' => 'top-navigation' ,
                    'container'  => '',
                    'container_class' => '',
                    'menu_class' => '',
                    'menu_id' => '',
                    'fallback_cb' => 'subway_qode_top_navigation_fallback',
                    'link_before' => '<span>',
                    'link_after' => '</span>',
                    'walker' => new SubwayQodeType2WalkerNavMenu()
                ));
                ?>
            </nav>
            <?php if($header_in_grid){ ?>
        </div>
    </div>
<?php } ?>
</div>
</div>
</header>